You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
(12) |
Jul
(105) |
Aug
(245) |
Sep
(165) |
Oct
(100) |
Nov
(92) |
Dec
(74) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(179) |
Feb
(233) |
Mar
(175) |
Apr
(168) |
May
(146) |
Jun
(165) |
Jul
(18) |
Aug
(95) |
Sep
(134) |
Oct
(120) |
Nov
(51) |
Dec
(65) |
| 2005 |
Jan
(96) |
Feb
(100) |
Mar
(113) |
Apr
(82) |
May
(281) |
Jun
(168) |
Jul
(54) |
Aug
(72) |
Sep
(104) |
Oct
(182) |
Nov
(126) |
Dec
(133) |
| 2006 |
Jan
(211) |
Feb
(252) |
Mar
(291) |
Apr
(199) |
May
(345) |
Jun
(282) |
Jul
(272) |
Aug
(261) |
Sep
(287) |
Oct
(464) |
Nov
(233) |
Dec
(210) |
| 2007 |
Jan
(669) |
Feb
(304) |
Mar
(483) |
Apr
(150) |
May
(293) |
Jun
(215) |
Jul
(178) |
Aug
(138) |
Sep
(159) |
Oct
(301) |
Nov
(367) |
Dec
(165) |
| 2008 |
Jan
(171) |
Feb
(148) |
Mar
(150) |
Apr
(180) |
May
(112) |
Jun
(109) |
Jul
(196) |
Aug
(319) |
Sep
(294) |
Oct
(284) |
Nov
(399) |
Dec
(280) |
| 2009 |
Jan
(536) |
Feb
(454) |
Mar
(382) |
Apr
(255) |
May
(321) |
Jun
(318) |
Jul
(412) |
Aug
(226) |
Sep
(76) |
Oct
(251) |
Nov
(134) |
Dec
(101) |
| 2010 |
Jan
(262) |
Feb
(210) |
Mar
(219) |
Apr
(55) |
May
(180) |
Jun
(225) |
Jul
(151) |
Aug
(184) |
Sep
(54) |
Oct
(160) |
Nov
(237) |
Dec
(115) |
| 2011 |
Jan
(141) |
Feb
(68) |
Mar
(204) |
Apr
(329) |
May
(68) |
Jun
(34) |
Jul
(304) |
Aug
(206) |
Sep
(183) |
Oct
(121) |
Nov
(1125) |
Dec
(934) |
| 2012 |
Jan
(466) |
Feb
(161) |
Mar
(314) |
Apr
(63) |
May
(62) |
Jun
(53) |
Jul
(47) |
Aug
(41) |
Sep
(36) |
Oct
(108) |
Nov
(297) |
Dec
(73) |
| 2013 |
Jan
(236) |
Feb
(81) |
Mar
(422) |
Apr
(441) |
May
(86) |
Jun
(177) |
Jul
(146) |
Aug
(140) |
Sep
(93) |
Oct
(126) |
Nov
(133) |
Dec
(230) |
| 2014 |
Jan
(380) |
Feb
(233) |
Mar
(251) |
Apr
(214) |
May
(168) |
Jun
(670) |
Jul
(538) |
Aug
(459) |
Sep
(330) |
Oct
(327) |
Nov
(339) |
Dec
(456) |
| 2015 |
Jan
(188) |
Feb
(426) |
Mar
(186) |
Apr
(71) |
May
(151) |
Jun
(283) |
Jul
(208) |
Aug
(477) |
Sep
(148) |
Oct
(302) |
Nov
(297) |
Dec
(331) |
| 2016 |
Jan
(474) |
Feb
(55) |
Mar
(92) |
Apr
(118) |
May
(286) |
Jun
(751) |
Jul
(494) |
Aug
(166) |
Sep
(97) |
Oct
(216) |
Nov
(41) |
Dec
(78) |
| 2017 |
Jan
(148) |
Feb
(205) |
Mar
(112) |
Apr
(119) |
May
(125) |
Jun
(102) |
Jul
(242) |
Aug
(26) |
Sep
(53) |
Oct
(28) |
Nov
(38) |
Dec
(97) |
| 2018 |
Jan
(71) |
Feb
(49) |
Mar
(43) |
Apr
(13) |
May
(19) |
Jun
(44) |
Jul
(74) |
Aug
(30) |
Sep
(44) |
Oct
(57) |
Nov
(74) |
Dec
(34) |
| 2019 |
Jan
(41) |
Feb
(50) |
Mar
(30) |
Apr
(24) |
May
(44) |
Jun
(101) |
Jul
(94) |
Aug
(123) |
Sep
(101) |
Oct
(81) |
Nov
(48) |
Dec
(51) |
| 2020 |
Jan
(74) |
Feb
(81) |
Mar
(129) |
Apr
(310) |
May
(176) |
Jun
(97) |
Jul
(137) |
Aug
(205) |
Sep
(84) |
Oct
(71) |
Nov
(106) |
Dec
(138) |
| 2021 |
Jan
(117) |
Feb
(94) |
Mar
(89) |
Apr
(71) |
May
(98) |
Jun
(99) |
Jul
(67) |
Aug
(129) |
Sep
(108) |
Oct
(127) |
Nov
(115) |
Dec
(114) |
| 2022 |
Jan
(115) |
Feb
(85) |
Mar
(97) |
Apr
(92) |
May
(102) |
Jun
(109) |
Jul
(168) |
Aug
(230) |
Sep
(183) |
Oct
(106) |
Nov
(109) |
Dec
(146) |
| 2023 |
Jan
(186) |
Feb
(126) |
Mar
(99) |
Apr
(92) |
May
(158) |
Jun
(74) |
Jul
(113) |
Aug
(93) |
Sep
(84) |
Oct
(163) |
Nov
(72) |
Dec
(81) |
| 2024 |
Jan
(71) |
Feb
(85) |
Mar
(63) |
Apr
(50) |
May
(45) |
Jun
(28) |
Jul
(106) |
Aug
(45) |
Sep
(60) |
Oct
(44) |
Nov
(53) |
Dec
(28) |
| 2025 |
Jan
(87) |
Feb
(58) |
Mar
(71) |
Apr
(37) |
May
(37) |
Jun
(46) |
Jul
(74) |
Aug
(26) |
Sep
(55) |
Oct
(43) |
Nov
(58) |
Dec
(34) |
| 2026 |
Jan
(106) |
Feb
(61) |
Mar
(48) |
Apr
(21) |
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
|
Nov
|
Dec
|
|
From: <wsh...@us...> - 2003-08-08 15:18:34
|
Update of /cvsroot/emc/rcslib
In directory sc8-pr-cvs1:/tmp/cvs-serv10345
Modified Files:
Tag: wps_multiplat_dev_branch
buildrcs
Log Message:
use a csh way of checking to see if we want to do things the old way
Index: buildrcs
===================================================================
RCS file: /cvsroot/emc/rcslib/buildrcs,v
retrieving revision 1.7.2.1
retrieving revision 1.7.2.2
diff -C2 -d -r1.7.2.1 -r1.7.2.2
*** buildrcs 8 Aug 2003 15:08:46 -0000 1.7.2.1
--- buildrcs 8 Aug 2003 15:18:31 -0000 1.7.2.2
***************
*** 1,8 ****
#!/bin/csh -f
! if test "x${USE_OLD_RCSLIB_MAKEFILES}" = "x" ; then
etc/multiplatbuild.sh
exit 0
! fi
--- 1,8 ----
#!/bin/csh -f
! if ( ! -f ~/USE_OLD_RCSLIB_MAKEFILES ) then
etc/multiplatbuild.sh
exit 0
! endif
|
Update of /cvsroot/emc/rcslib/src/w3c
In directory sc8-pr-cvs1:/tmp/cvs-serv9623
Removed Files:
Tag: wps_multiplat_dev_branch
GridText.c HTAABrow.c HTAABrow.h HTAAUtil.c HTAAUtil.h
HTANSI.c HTANSI.h HTAccess.c HTAccess.h HTAlert.c HTAlert.h
HTAncMan.h HTAnchor.c HTAnchor.h HTArray.c HTArray.h HTAssoc.c
HTAssoc.h HTAtom.c HTAtom.h HTBInit.c HTBInit.h HTBTree.c
HTBTree.h HTBind.c HTBind.h HTBound.c HTBound.h HTBufWrt.c
HTBufWrt.h HTCache.c HTCache.h HTChannl.c HTChannl.h HTChunk.c
HTChunk.h HTConLen.c HTConLen.h HTDNS.c HTDNS.h HTDescpt.c
HTDescpt.h HTDialog.c HTDialog.h HTDir.c HTDir.h HTEPtoCl.c
HTEPtoCl.h HTError.c HTError.h HTEscape.c HTEscape.h HTEvent.c
HTEvent.h HTEvntrg.c HTEvntrg.h HTFTP.c HTFTP.h HTFTPDir.c
HTFTPDir.h HTFWrite.c HTFWrite.h HTFile.c HTFile.h HTFilter.c
HTFilter.h HTFormat.c HTFormat.h HTGopher.c HTGopher.h
HTGuess.c HTGuess.h HTHInit.c HTHInit.h HTHeader.c HTHeader.h
HTHist.c HTHist.h HTHome.c HTHome.h HTHost.c HTHost.h
HTIOStream.h HTIcons.c HTIcons.h HTInet.c HTInet.h HTInit.c
HTInit.h HTLib.c HTLib.h HTLink.c HTLink.h HTList.c HTList.h
HTLocal.c HTLocal.h HTLog.c HTLog.h HTMIME.c HTMIME.h
HTMIMERq.c HTMIMERq.h HTMIMImp.c HTMIMImp.h HTMIMPrs.c
HTMIMPrs.h HTML.c HTML.h HTMLGen.c HTMLGen.h HTMLPDTD.c
HTMLPDTD.h HTMemory.c HTMemory.h HTMerge.c HTMerge.h
HTMethod.c HTMethod.h HTMulpar.h HTMulti.c HTMulti.h HTMux.c
HTMux.h HTNDir.c HTNDir.h HTNet.c HTNet.h HTNetMan.h
HTNetTxt.c HTNetTxt.h HTNews.c HTNews.h HTNewsLs.c HTNewsLs.h
HTNewsRq.c HTNewsRq.h HTPEP.c HTPEP.h HTParse.c HTParse.h
HTPlain.c HTPlain.h HTProfil.c HTProfil.h HTProt.c HTProt.h
HTProxy.c HTProxy.h HTReader.c HTReader.h HTReq.h HTReqMan.c
HTReqMan.h HTResMan.h HTResponse.c HTResponse.h HTRules.c
HTRules.h HTSChunk.c HTSChunk.h HTSocket.c HTSocket.h
HTStream.c HTStream.h HTString.c HTString.h HTStruct.h
HTStyle.c HTStyle.h HTTCP.c HTTCP.h HTTChunk.c HTTChunk.h
HTTP.c HTTP.h HTTPGen.c HTTPGen.h HTTPReq.c HTTPReq.h
HTTPRes.c HTTPRes.h HTTPServ.c HTTPServ.h HTTPUtil.h
HTTeXGen.c HTTeXGen.h HTTee.c HTTee.h HTTelnet.c HTTelnet.h
HTTrans.c HTTrans.h HTUTree.c HTUTree.h HTUU.c HTUU.h HTUser.c
HTUser.h HTUtils.h HTWAIS.c HTWSRC.c HTWSRC.h HTWWWStr.c
HTWWWStr.h HTWriter.c HTWriter.h HTXParse.c HTXParse.h HText.c
HText.h Makefile Makefile.lib SGML.c SGML.h WWWApp.h
WWWCache.h WWWCore.h WWWDir.h WWWFTP.h WWWFile.h WWWGophe.h
WWWHTML.h WWWHTTP.h WWWInit.h WWWLib.h WWWMIME.h WWWNews.h
WWWStream.h WWWTelnt.h WWWTrans.h WWWUtil.h WWWWAIS.h catwww.c
sysdep.h w3cconf.h
Log Message:
--- GridText.c DELETED ---
--- HTAABrow.c DELETED ---
--- HTAABrow.h DELETED ---
--- HTAAUtil.c DELETED ---
--- HTAAUtil.h DELETED ---
--- HTANSI.c DELETED ---
--- HTANSI.h DELETED ---
--- HTAccess.c DELETED ---
--- HTAccess.h DELETED ---
--- HTAlert.c DELETED ---
--- HTAlert.h DELETED ---
--- HTAncMan.h DELETED ---
--- HTAnchor.c DELETED ---
--- HTAnchor.h DELETED ---
--- HTArray.c DELETED ---
--- HTArray.h DELETED ---
--- HTAssoc.c DELETED ---
--- HTAssoc.h DELETED ---
--- HTAtom.c DELETED ---
--- HTAtom.h DELETED ---
--- HTBInit.c DELETED ---
--- HTBInit.h DELETED ---
--- HTBTree.c DELETED ---
--- HTBTree.h DELETED ---
--- HTBind.c DELETED ---
--- HTBind.h DELETED ---
--- HTBound.c DELETED ---
--- HTBound.h DELETED ---
--- HTBufWrt.c DELETED ---
--- HTBufWrt.h DELETED ---
--- HTCache.c DELETED ---
--- HTCache.h DELETED ---
--- HTChannl.c DELETED ---
--- HTChannl.h DELETED ---
--- HTChunk.c DELETED ---
--- HTChunk.h DELETED ---
--- HTConLen.c DELETED ---
--- HTConLen.h DELETED ---
--- HTDNS.c DELETED ---
--- HTDNS.h DELETED ---
--- HTDescpt.c DELETED ---
--- HTDescpt.h DELETED ---
--- HTDialog.c DELETED ---
--- HTDialog.h DELETED ---
--- HTDir.c DELETED ---
--- HTDir.h DELETED ---
--- HTEPtoCl.c DELETED ---
--- HTEPtoCl.h DELETED ---
--- HTError.c DELETED ---
--- HTError.h DELETED ---
--- HTEscape.c DELETED ---
--- HTEscape.h DELETED ---
--- HTEvent.c DELETED ---
--- HTEvent.h DELETED ---
--- HTEvntrg.c DELETED ---
--- HTEvntrg.h DELETED ---
--- HTFTP.c DELETED ---
--- HTFTP.h DELETED ---
--- HTFTPDir.c DELETED ---
--- HTFTPDir.h DELETED ---
--- HTFWrite.c DELETED ---
--- HTFWrite.h DELETED ---
--- HTFile.c DELETED ---
--- HTFile.h DELETED ---
--- HTFilter.c DELETED ---
--- HTFilter.h DELETED ---
--- HTFormat.c DELETED ---
--- HTFormat.h DELETED ---
--- HTGopher.c DELETED ---
--- HTGopher.h DELETED ---
--- HTGuess.c DELETED ---
--- HTGuess.h DELETED ---
--- HTHInit.c DELETED ---
--- HTHInit.h DELETED ---
--- HTHeader.c DELETED ---
--- HTHeader.h DELETED ---
--- HTHist.c DELETED ---
--- HTHist.h DELETED ---
--- HTHome.c DELETED ---
--- HTHome.h DELETED ---
--- HTHost.c DELETED ---
--- HTHost.h DELETED ---
--- HTIOStream.h DELETED ---
--- HTIcons.c DELETED ---
--- HTIcons.h DELETED ---
--- HTInet.c DELETED ---
--- HTInet.h DELETED ---
--- HTInit.c DELETED ---
--- HTInit.h DELETED ---
--- HTLib.c DELETED ---
--- HTLib.h DELETED ---
--- HTLink.c DELETED ---
--- HTLink.h DELETED ---
--- HTList.c DELETED ---
--- HTList.h DELETED ---
--- HTLocal.c DELETED ---
--- HTLocal.h DELETED ---
--- HTLog.c DELETED ---
--- HTLog.h DELETED ---
--- HTMIME.c DELETED ---
--- HTMIME.h DELETED ---
--- HTMIMERq.c DELETED ---
--- HTMIMERq.h DELETED ---
--- HTMIMImp.c DELETED ---
--- HTMIMImp.h DELETED ---
--- HTMIMPrs.c DELETED ---
--- HTMIMPrs.h DELETED ---
--- HTML.c DELETED ---
--- HTML.h DELETED ---
--- HTMLGen.c DELETED ---
--- HTMLGen.h DELETED ---
--- HTMLPDTD.c DELETED ---
--- HTMLPDTD.h DELETED ---
--- HTMemory.c DELETED ---
--- HTMemory.h DELETED ---
--- HTMerge.c DELETED ---
--- HTMerge.h DELETED ---
--- HTMethod.c DELETED ---
--- HTMethod.h DELETED ---
--- HTMulpar.h DELETED ---
--- HTMulti.c DELETED ---
--- HTMulti.h DELETED ---
--- HTMux.c DELETED ---
--- HTMux.h DELETED ---
--- HTNDir.c DELETED ---
--- HTNDir.h DELETED ---
--- HTNet.c DELETED ---
--- HTNet.h DELETED ---
--- HTNetMan.h DELETED ---
--- HTNetTxt.c DELETED ---
--- HTNetTxt.h DELETED ---
--- HTNews.c DELETED ---
--- HTNews.h DELETED ---
--- HTNewsLs.c DELETED ---
--- HTNewsLs.h DELETED ---
--- HTNewsRq.c DELETED ---
--- HTNewsRq.h DELETED ---
--- HTPEP.c DELETED ---
--- HTPEP.h DELETED ---
--- HTParse.c DELETED ---
--- HTParse.h DELETED ---
--- HTPlain.c DELETED ---
--- HTPlain.h DELETED ---
--- HTProfil.c DELETED ---
--- HTProfil.h DELETED ---
--- HTProt.c DELETED ---
--- HTProt.h DELETED ---
--- HTProxy.c DELETED ---
--- HTProxy.h DELETED ---
--- HTReader.c DELETED ---
--- HTReader.h DELETED ---
--- HTReq.h DELETED ---
--- HTReqMan.c DELETED ---
--- HTReqMan.h DELETED ---
--- HTResMan.h DELETED ---
--- HTResponse.c DELETED ---
--- HTResponse.h DELETED ---
--- HTRules.c DELETED ---
--- HTRules.h DELETED ---
--- HTSChunk.c DELETED ---
--- HTSChunk.h DELETED ---
--- HTSocket.c DELETED ---
--- HTSocket.h DELETED ---
--- HTStream.c DELETED ---
--- HTStream.h DELETED ---
--- HTString.c DELETED ---
--- HTString.h DELETED ---
--- HTStruct.h DELETED ---
--- HTStyle.c DELETED ---
--- HTStyle.h DELETED ---
--- HTTCP.c DELETED ---
--- HTTCP.h DELETED ---
--- HTTChunk.c DELETED ---
--- HTTChunk.h DELETED ---
--- HTTP.c DELETED ---
--- HTTP.h DELETED ---
--- HTTPGen.c DELETED ---
--- HTTPGen.h DELETED ---
--- HTTPReq.c DELETED ---
--- HTTPReq.h DELETED ---
--- HTTPRes.c DELETED ---
--- HTTPRes.h DELETED ---
--- HTTPServ.c DELETED ---
--- HTTPServ.h DELETED ---
--- HTTPUtil.h DELETED ---
--- HTTeXGen.c DELETED ---
--- HTTeXGen.h DELETED ---
--- HTTee.c DELETED ---
--- HTTee.h DELETED ---
--- HTTelnet.c DELETED ---
--- HTTelnet.h DELETED ---
--- HTTrans.c DELETED ---
--- HTTrans.h DELETED ---
--- HTUTree.c DELETED ---
--- HTUTree.h DELETED ---
--- HTUU.c DELETED ---
--- HTUU.h DELETED ---
--- HTUser.c DELETED ---
--- HTUser.h DELETED ---
--- HTUtils.h DELETED ---
--- HTWAIS.c DELETED ---
--- HTWSRC.c DELETED ---
--- HTWSRC.h DELETED ---
--- HTWWWStr.c DELETED ---
--- HTWWWStr.h DELETED ---
--- HTWriter.c DELETED ---
--- HTWriter.h DELETED ---
--- HTXParse.c DELETED ---
--- HTXParse.h DELETED ---
--- HText.c DELETED ---
--- HText.h DELETED ---
--- Makefile DELETED ---
--- Makefile.lib DELETED ---
--- SGML.c DELETED ---
--- SGML.h DELETED ---
--- WWWApp.h DELETED ---
--- WWWCache.h DELETED ---
--- WWWCore.h DELETED ---
--- WWWDir.h DELETED ---
--- WWWFTP.h DELETED ---
--- WWWFile.h DELETED ---
--- WWWGophe.h DELETED ---
--- WWWHTML.h DELETED ---
--- WWWHTTP.h DELETED ---
--- WWWInit.h DELETED ---
--- WWWLib.h DELETED ---
--- WWWMIME.h DELETED ---
--- WWWNews.h DELETED ---
--- WWWStream.h DELETED ---
--- WWWTelnt.h DELETED ---
--- WWWTrans.h DELETED ---
--- WWWUtil.h DELETED ---
--- WWWWAIS.h DELETED ---
--- catwww.c DELETED ---
--- sysdep.h DELETED ---
--- w3cconf.h DELETED ---
|
|
From: <wsh...@us...> - 2003-08-08 15:09:20
|
Update of /cvsroot/emc/rcslib/src
In directory sc8-pr-cvs1:/tmp/cvs-serv8893/src
Modified Files:
Tag: wps_multiplat_dev_branch
Makefile
Log Message:
Make every possible build method use etc/multiplatbuild.sh unless the environment variable USE_OLD_RCSLIB_MAKEFILES is set
Index: Makefile
===================================================================
RCS file: /cvsroot/emc/rcslib/src/Makefile,v
retrieving revision 4.79.2.1
retrieving revision 4.79.2.2
diff -C2 -d -r4.79.2.1 -r4.79.2.2
*** Makefile 8 Aug 2003 14:21:06 -0000 4.79.2.1
--- Makefile 8 Aug 2003 15:08:47 -0000 4.79.2.2
***************
*** 4,8 ****
../etc/multiplatbuild.sh
! .PHONY: all
else
--- 4,15 ----
../etc/multiplatbuild.sh
! config:
! ../etc/multiplatbuild.sh config $(CONFIG_ARGS)
!
! clean distclean check distcheck install:
! ../etc/multiplatbuild.sh config $@
!
! .PHONY: all config clean distclean check distcheck install
!
else
|
|
From: <wsh...@us...> - 2003-08-08 15:09:19
|
Update of /cvsroot/emc/rcslib/etc
In directory sc8-pr-cvs1:/tmp/cvs-serv8893/etc
Modified Files:
Tag: wps_multiplat_dev_branch
platname
Log Message:
Make every possible build method use etc/multiplatbuild.sh unless the environment variable USE_OLD_RCSLIB_MAKEFILES is set
Index: platname
===================================================================
RCS file: /cvsroot/emc/rcslib/etc/platname,v
retrieving revision 1.32.2.1
retrieving revision 1.32.2.2
diff -C2 -d -r1.32.2.1 -r1.32.2.2
*** platname 8 Aug 2003 14:21:06 -0000 1.32.2.1
--- platname 8 Aug 2003 15:08:46 -0000 1.32.2.2
***************
*** 33,37 ****
-
# 18JUN03 MGS made some additions to this file so that it would work on the 2.18 BDI
# Hopefully, it won't break anything else...
--- 33,36 ----
|
|
From: <wsh...@us...> - 2003-08-08 15:09:19
|
Update of /cvsroot/emc/rcslib
In directory sc8-pr-cvs1:/tmp/cvs-serv8893
Modified Files:
Tag: wps_multiplat_dev_branch
buildrcs
Log Message:
Make every possible build method use etc/multiplatbuild.sh unless the environment variable USE_OLD_RCSLIB_MAKEFILES is set
Index: buildrcs
===================================================================
RCS file: /cvsroot/emc/rcslib/buildrcs,v
retrieving revision 1.7
retrieving revision 1.7.2.1
diff -C2 -d -r1.7 -r1.7.2.1
*** buildrcs 27 Oct 2000 21:08:31 -0000 1.7
--- buildrcs 8 Aug 2003 15:08:46 -0000 1.7.2.1
***************
*** 1,7 ****
#!/bin/csh -f
set PLATBASE=`uname -s | gawk '{ printf ( "%s",tolower ( $1 ) ) }'`
! set PLAT=`uname -sr | sed "y/ /_/" | sed "y/./_/" | sed s/-rtl.\*\$// | sed "y/-/_/" | gawk '{ printf ( "%s",tolower ( $1 ) ) }'`
if (${PLATBASE} == "linux") then
--- 1,12 ----
#!/bin/csh -f
+ if test "x${USE_OLD_RCSLIB_MAKEFILES}" = "x" ; then
+ etc/multiplatbuild.sh
+ exit 0
+ fi
+
set PLATBASE=`uname -s | gawk '{ printf ( "%s",tolower ( $1 ) ) }'`
! setenv PLAT `uname -sr | sed "y/ /_/" | sed "y/./_/" | sed s/-rtl.\*\$// | sed "y/-/_/" | gawk '{ printf ( "%s",tolower ( $1 ) ) }'`
if (${PLATBASE} == "linux") then
***************
*** 16,21 ****
! if ($#argv >= 1) then
! set PLAT=$1
set PLATBASE=`echo ${PLAT}| sed s/-rtl.\*\$// | sed s/_.\*\$//`
endif
--- 21,26 ----
! if ($#argv >= 1) then
! setenv PLAT $1
set PLATBASE=`echo ${PLAT}| sed s/-rtl.\*\$// | sed s/_.\*\$//`
endif
|
|
From: <wsh...@us...> - 2003-08-08 15:08:53
|
Update of /cvsroot/emc/rcslib/src/stg_clss
In directory sc8-pr-cvs1:/tmp/cvs-serv8893/src/stg_clss
Modified Files:
Tag: wps_multiplat_dev_branch
Makefile
Log Message:
Make every possible build method use etc/multiplatbuild.sh unless the environment variable USE_OLD_RCSLIB_MAKEFILES is set
Index: Makefile
===================================================================
RCS file: /cvsroot/emc/rcslib/src/stg_clss/Makefile,v
retrieving revision 4.33.2.1
retrieving revision 4.33.2.2
diff -C2 -d -r4.33.2.1 -r4.33.2.2
*** Makefile 8 Aug 2003 14:21:14 -0000 4.33.2.1
--- Makefile 8 Aug 2003 15:08:50 -0000 4.33.2.2
***************
*** 1,2 ****
--- 1,18 ----
+ ifndef USE_OLD_RCSLIB_MAKEFILES
+
+ all:
+ ../../etc/multiplatbuild.sh
+
+ config:
+ ../../etc/multiplatbuild.sh config $(CONFIG_ARGS)
+
+ clean distclean check distcheck install:
+ ../../etc/multiplatbuild.sh config $@
+
+ .PHONY: all config clean distclean check distcheck install
+
+
+ else
+
#
# Makefile for the RCS C++ Storage Class Utilities
***************
*** 39,41 ****
! # DO NOT DELETE THIS LINE -- make depend depends on it.
--- 55,59 ----
! endif
! # ifndef USE_OLD_RCSLIB_MAKEFILES
!
|
|
From: <wsh...@us...> - 2003-08-08 15:08:53
|
Update of /cvsroot/emc/rcslib/src/print
In directory sc8-pr-cvs1:/tmp/cvs-serv8893/src/print
Modified Files:
Tag: wps_multiplat_dev_branch
Makefile
Log Message:
Make every possible build method use etc/multiplatbuild.sh unless the environment variable USE_OLD_RCSLIB_MAKEFILES is set
Index: Makefile
===================================================================
RCS file: /cvsroot/emc/rcslib/src/print/Makefile,v
retrieving revision 4.33.2.1
retrieving revision 4.33.2.2
diff -C2 -d -r4.33.2.1 -r4.33.2.2
*** Makefile 8 Aug 2003 14:21:14 -0000 4.33.2.1
--- Makefile 8 Aug 2003 15:08:50 -0000 4.33.2.2
***************
*** 1,2 ****
--- 1,18 ----
+ ifndef USE_OLD_RCSLIB_MAKEFILES
+
+ all:
+ ../../etc/multiplatbuild.sh
+
+ config:
+ ../../etc/multiplatbuild.sh config $(CONFIG_ARGS)
+
+ clean distclean check distcheck install:
+ ../../etc/multiplatbuild.sh config $@
+
+ .PHONY: all config clean distclean check distcheck install
+
+
+ else
+
#
# Makefile for the RCS C++ Storage Class Utilities
***************
*** 40,42 ****
.PHONY: printest printest.tc
! # DO NOT DELETE THIS LINE -- make depend depends on it.
--- 56,59 ----
.PHONY: printest printest.tc
! endif
! # ifndef USE_OLD_RCSLIB_MAKEFILES
|
|
From: <wsh...@us...> - 2003-08-08 15:08:53
|
Update of /cvsroot/emc/rcslib/src/os_intf
In directory sc8-pr-cvs1:/tmp/cvs-serv8893/src/os_intf
Modified Files:
Tag: wps_multiplat_dev_branch
Makefile
Log Message:
Make every possible build method use etc/multiplatbuild.sh unless the environment variable USE_OLD_RCSLIB_MAKEFILES is set
Index: Makefile
===================================================================
RCS file: /cvsroot/emc/rcslib/src/os_intf/Makefile,v
retrieving revision 4.36.2.1
retrieving revision 4.36.2.2
diff -C2 -d -r4.36.2.1 -r4.36.2.2
*** Makefile 8 Aug 2003 14:21:14 -0000 4.36.2.1
--- Makefile 8 Aug 2003 15:08:50 -0000 4.36.2.2
***************
*** 1,2 ****
--- 1,18 ----
+ ifndef USE_OLD_RCSLIB_MAKEFILES
+
+ all:
+ ../../etc/multiplatbuild.sh
+
+ config:
+ ../../etc/multiplatbuild.sh config $(CONFIG_ARGS)
+
+ clean distclean check distcheck install:
+ ../../etc/multiplatbuild.sh config $@
+
+ .PHONY: all config clean distclean check distcheck install
+
+
+ else
+
# Makefile for the Operating System interface modules of the
# RCS Library
***************
*** 155,156 ****
--- 171,174 ----
.PHONY: clean_objs
+ endif
+ # ifndef USE_OLD_RCSLIB_MAKEFILES
|
|
From: <wsh...@us...> - 2003-08-08 15:08:52
|
Update of /cvsroot/emc/rcslib/src/node
In directory sc8-pr-cvs1:/tmp/cvs-serv8893/src/node
Modified Files:
Tag: wps_multiplat_dev_branch
Makefile
Log Message:
Make every possible build method use etc/multiplatbuild.sh unless the environment variable USE_OLD_RCSLIB_MAKEFILES is set
Index: Makefile
===================================================================
RCS file: /cvsroot/emc/rcslib/src/node/Makefile,v
retrieving revision 4.32.2.1
retrieving revision 4.32.2.2
diff -C2 -d -r4.32.2.1 -r4.32.2.2
*** Makefile 8 Aug 2003 14:21:13 -0000 4.32.2.1
--- Makefile 8 Aug 2003 15:08:49 -0000 4.32.2.2
***************
*** 1,2 ****
--- 1,18 ----
+ ifndef USE_OLD_RCSLIB_MAKEFILES
+
+ all:
+ ../../etc/multiplatbuild.sh
+
+ config:
+ ../../etc/multiplatbuild.sh config $(CONFIG_ARGS)
+
+ clean distclean check distcheck install:
+ ../../etc/multiplatbuild.sh config $@
+
+ .PHONY: all config clean distclean check distcheck install
+
+
+ else
+
# Makefile for the NODE modules of the
# RCS Library
***************
*** 30,31 ****
--- 46,49 ----
+ endif
+ #ifndef USE_OLD_RCSLIB_MAKEFILES
|
|
From: <wsh...@us...> - 2003-08-08 15:08:52
|
Update of /cvsroot/emc/rcslib/src/cms
In directory sc8-pr-cvs1:/tmp/cvs-serv8893/src/cms
Modified Files:
Tag: wps_multiplat_dev_branch
Makefile
Log Message:
Make every possible build method use etc/multiplatbuild.sh unless the environment variable USE_OLD_RCSLIB_MAKEFILES is set
Index: Makefile
===================================================================
RCS file: /cvsroot/emc/rcslib/src/cms/Makefile,v
retrieving revision 4.50.2.1
retrieving revision 4.50.2.2
diff -C2 -d -r4.50.2.1 -r4.50.2.2
*** Makefile 8 Aug 2003 14:21:07 -0000 4.50.2.1
--- Makefile 8 Aug 2003 15:08:48 -0000 4.50.2.2
***************
*** 1,2 ****
--- 1,18 ----
+ ifndef USE_OLD_RCSLIB_MAKEFILES
+
+ all:
+ ../../etc/multiplatbuild.sh
+
+ config:
+ ../../etc/multiplatbuild.sh config $(CONFIG_ARGS)
+
+ clean distclean check distcheck install:
+ ../../etc/multiplatbuild.sh config $@
+
+ .PHONY: all config clean distclean check distcheck install
+
+
+ else
+
# Makefile for the CMS (Communication Management System) modules of the
# RCS Library
***************
*** 370,373 ****
!
--- 386,390 ----
! endif
! # ifndef USE_OLD_RCSLIB_MAKEFILES
|
|
From: <wsh...@us...> - 2003-08-08 14:56:06
|
Update of /cvsroot/emc/rcslib
In directory sc8-pr-cvs1:/tmp/cvs-serv6484
Removed Files:
Tag: wps_multiplat_dev_branch
Makefile.am.head
Log Message:
--- Makefile.am.head DELETED ---
|
|
From: <wsh...@us...> - 2003-08-08 14:53:52
|
Update of /cvsroot/emc/rcslib/src/print
In directory sc8-pr-cvs1:/tmp/cvs-serv6081
Added Files:
Tag: wps_multiplat_dev_branch
sepwords.cc
Log Message:
.
--- NEW FILE: sepwords.cc ---
#if HAVE_CONFIG_H
#include "rcs_config_include.h"
#else
#include "rcs_defs.hh"
#include <stdlib.h>
#include <string.h>
#endif
#include "rcs_prnt.hh"
/* In windows DLLs for Microsoft Visual C++ sscanf is not supported so
use separate_words to parse the string followed by commands like strtod to
convert each word. */
int RCS_EXPORT
separate_words (char RCS_FAR ** _dest, int _max, char RCS_FAR * _src)
{
static char word_buffer[256];
int i;
if (NULL == _dest || NULL == _src)
{
return -1;
}
if (strlen (_src) > 255)
{
rcs_print_error("separate_words string to long (%s)\n",_src);
return -1;
}
strcpy (word_buffer, _src);
for(i = 0; i < _max ; i++)
{
_dest[i]=0;
}
_dest[0] = strtok (word_buffer, " \n\r\t");
for (i = 0; NULL != _dest[i] && i < _max - 1; i++)
{
_dest[i + 1] = strtok (NULL, " \n\r\t");
}
if (_dest[_max - 1] == NULL && i == _max - 1)
{
i--;
}
return (i + 1);
}
|
|
From: <wsh...@us...> - 2003-08-08 14:52:54
|
Update of /cvsroot/emc/rcslib/etc/win32msc
In directory sc8-pr-cvs1:/tmp/cvs-serv5926/win32msc
Added Files:
Tag: wps_multiplat_dev_branch
README rcs_vc_stuff.zip
Log Message:
.
--- NEW FILE: README ---
The include and lib directories do not match the project files.
To use the project files you probably need a more recent version of the sources.
But they are there in case you give up on the current sources.
--- NEW FILE: rcs_vc_stuff.zip ---
(This appears to be a binary file; contents omitted.)
|
|
From: <wsh...@us...> - 2003-08-08 14:52:54
|
Update of /cvsroot/emc/rcslib/etc
In directory sc8-pr-cvs1:/tmp/cvs-serv5926
Added Files:
Tag: wps_multiplat_dev_branch
multiplatbuild.sh
Log Message:
.
--- NEW FILE: multiplatbuild.sh ---
#!/bin/sh
startdir=`pwd`
if test "x${rcsdir}" = "x" ; then
progdir=`echo $0 | sed 's#/multiplatbuild.sh##' | sed 's#multiplatbuild.sh##'`
if test "x${progdir}" != "x" ; then
if ( cd ${progdir} && cd .. && test -f src/rcs.hh ) ; then
cd ${progdir}
cd ..
rcsdir=`pwd`
fi
fi
fi
if test "x${rcsdir}" = "x" ; then
if test -f src/rcs.hh ; then
rcsdir=`pwd`
elif test -f ../src/rcs.hh ; then
rcsdir=`cd ..; pwd`
elif test -f ../../src/rcs.hh ; then
rcsdir=`cd ../..; pwd`
elif test -f ../../../src/rcs.hh ; then
rcsdir=`cd ../../.. ; pwd`
elif test -f ../../../../src/rcs.hh ; then
rcsdir=`cd ../../../.. ; pwd`
fi
fi
if test "x${rcsdir}" = "x" ; then
echo "Can not determine rcsdir." >&2
exit 1
fi
if test "x${CC}" = "x" ; then
if qcc -v >/dev/null 2>/dev/null ; then
CC=qcc;
elif gcc -v >/dev/null 2>/dev/null ; then
CC=gcc;
elif /usr/bin/gcc -v >/dev/null 2>/dev/null ; then
CC=/usr/bin/gcc;
elif cc -v >/dev/null 2>/dev/null ; then
CC=cc;
fi
fi
CC_NAME=`${CC} -v 2>&1 | tail -n 1 | sed 'y# #_#' | sed 'y#-#_#' | sed 'y#:#_#' | sed 'y#(#_#' | sed 'y#)#_#' `
UNAME_S=`uname -s | sed 'y# #_#' | sed 'y#-#_#' | sed 'y#:#_#' | sed 'y#(#_#' | sed 'y#)#_#' `
UNAME_R=`uname -r | sed 'y# #_#' | sed 'y#-#_#' | sed 'y#:#_#' | sed 'y#(#_#' | sed 'y#)#_#'`
UNAME_M=`uname -m | sed 'y# #_#' | sed 'y#-#_#' | sed 'y#:#_#' | sed 'y#(#_#' | sed 'y#)#_#'`
if test "x${UNAME_S}" = "xLinux" ; then
if test "x`${rcsdir}/etc/havertlinux.sh | head -n 1`" = "xYES" ; then
UNAME_S=Linux_with_rtlinux;
elif test "x`${rcsdir}/etc/havertai.sh | head -n 1`" = "xYES" ; then
UNAME_S=Linux_with_rtai;
fi
fi
LIBC_NAME=NOT_GLIBC
if test -f /usr/include/features.h ; then
if grep _GLIBC /usr/include/features.h >/dev/null 2>/dev/null ; then
GLIBC_MAJOR_VERSION=`grep __GLIBC__ /usr/include/features.h | grep '#define' | grep -v PREREQ | head -n 1 | awk '{printf("%s",$3);}'`
GLIBC_MINOR_VERSION=`grep __GLIBC_MINOR__ /usr/include/features.h | grep '#define' | grep -v PREREQ | head -n 1 | awk '{printf("%s",$3);}'`
LIBC_NAME=GLIBC_${GLIBC_MAJOR_VERSION}_${GLIBC_MINOR_VERSION}
else
LIBC_NAME=NOT_GLIBC
fi
else
LIBC_NAME=NOT_GLIBC
fi
install_dir=${rcsdir}/multiplatinstalls/${UNAME_S}/${UNAME_R}/${UNAME_M}/${LIBC_NAME}/${CC_NAME}
echo "install_dir=${install_dir}" >&2
if test ! -d ${install_dir} ; then
mkdir -p ${install_dir} || (echo "mkdir -p ${install_dir} failed." >&2 ; exit 127 ) || exit 127
fi
build_dir=${rcsdir}/multiplatbuilds/${UNAME_S}/${UNAME_R}/${UNAME_M}/${LIBC_NAME}/${CC_NAME}
echo "build_dir=${build_dir}" >&2
if test ! -d ${build_dir} ; then
mkdir -p ${build_dir} || (echo "mkdir -p ${build_dir} failed." >&2 ; exit 127 )
fi
cd ${build_dir} || (echo "cd ${build_dir} failed." >&2 ; exit 127 ) || exit 127
PLAT=`(cd ${rcsdir}; mkdir_cmd=true; . ${rcsdir}/etc/platname)`
export PLAT
mkdir -p ${rcsdir}/plat || (echo "mkdir -p ${rcsdir}/plat failed." >&2 ; exit 127 ) || exit 127
\rm -f /tmp/linktest* >/dev/null 2>/dev/null
( cd /tmp ; touch linktestfile$$ ; ln -s linktestfile$$ linktestfile$$.link ); >/dev/null 2>/dev/null
#ls -l /tmp/link*
if test -h /tmp/linktestfile$$.link -a '!' -h /tmp/linktestfile$$ ; then
LINK_FLAG=-h;
else
LINK_FLAG=-L;
fi
\rm -f /tmp/linktest* >/dev/null 2>/dev/null
if test ${LINK_FLAG} ${rcsdir}/plat/${PLAT} ; then
rm ${rcsdir}/plat/${PLAT} || ( echo "Can not remove old symbolic link." >&2 ; exit 127 ) || exit 127
fi
if test -d ${rcsdir}/plat/${PLAT} ; then
(cd ${rcsdir}/plat && (mkdir -p .moved.$$ ; mv ${PLAT} .moved.$$ ) ) || (echo "Can not move old plat out of the way." >&2 ; exit 127 ) || exit 127
fi
( cd ${rcsdir}/plat && ln -s ${install_dir} ${PLAT} || exit 127 ) || ( echo "Can not setup symbolic link." >&2 ; exit 127 ) || exit 127
( cd ${rcsdir} ; PLAT=; rm ~/.platname* ; mkdir_cmd=true; . ${rcsdir}/etc/platname >/dev/null; 2>/dev/null;
if test "x${ORIG_PLAT}" != "x" -a "x${ORIG_PLAT}" != "x${PLAT}" ; then
if test ${LINK_FLAG} ${rcsdir}/plat/${ORIG_PLAT} ; then
rm ${rcsdir}/plat/${ORIG_PLAT} ;
elif test -d ${rcsdir}/plat/${ORIG_PLAT} ; then
( mkdir -p ${rcsdir}/plat/.moved.$$/ ) >/dev/null 2>/dev/null;
mv ${rcsdir}/plat/${ORIG_PLAT} ${rcsdir}/plat/.moved.$$/
fi
(cd ${rcsdir}/plat/ ; ln -s ${install_dir} ${ORIG_PLAT}; )
fi
if test "x${ETC_RELEASE_PLAT}" != "x" -a "x${ETC_RELEASE_PLAT}" != "x${PLAT}" ; then
if test ${LINK_FLAG} ${rcsdir}/plat/${ETC_RELEASE_PLAT} ; then
rm ${rcsdir}/plat/${ETC_RELEASE_PLAT} ;
elif test -d ${rcsdir}/plat/${ETC_RELEASE_PLAT} ; then
( mkdir -p ${rcsdir}/plat/.moved.$$/ ) >/dev/null 2>/dev/null;
mv ${rcsdir}/plat/${ETC_RELEASE_PLAT} ${rcsdir}/plat/.moved.$$/
fi
(cd ${rcsdir}/plat/ ; ln -s ${install_dir} ${ETC_RELEASE_PLAT}; )
fi
if test "x${DEBIAN_PLAT}" != "x" -a "x${DEBIAN_PLAT}" != "x${PLAT}" ; then
if test ${LINK_FLAG} ${rcsdir}/plat/${DEBIAN_PLAT} ; then
rm ${rcsdir}/plat/${DEBIAN_PLAT} ;
elif test -d ${rcsdir}/plat/${DEBIAN_PLAT} ; then
( mkdir -p ${rcsdir}/plat/.moved.$$/ ) >/dev/null 2>/dev/null;
mv ${rcsdir}/plat/${DEBIAN_PLAT} ${rcsdir}/plat/.moved.$$/
fi
(cd ${rcsdir}/plat/ ; ln -s ${install_dir} ${DEBIAN_PLAT}; )
fi
if test "x${REDHAT_PLAT}" != "x" -a "x${REDHAT_PLAT}" != "x${PLAT}" ; then
if test ${LINK_FLAG} ${rcsdir}/plat/${REDHAT_PLAT} ; then
rm ${rcsdir}/plat/${REDHAT_PLAT} ;
elif test -d ${rcsdir}/plat/${REDHAT_PLAT} ; then
( mkdir -p ${rcsdir}/plat/.moved.$$/ ) >/dev/null 2>/dev/null;
mv ${rcsdir}/plat/${REDHAT_PLAT} ${rcsdir}/plat/.moved.$$/
fi
(cd ${rcsdir}/plat/ ; ln -s ${install_dir} ${REDHAT_PLAT}; )
fi
if test "x${OLD_PLAT}" != "x" -a "x${OLD_PLAT}" != "x${PLAT}" ; then
if test ${LINK_FLAG} ${rcsdir}/plat/${OLD_PLAT} ; then
rm ${rcsdir}/plat/${OLD_PLAT} ;
elif test -d ${rcsdir}/plat/${OLD_PLAT} ; then
( mkdir -p ${rcsdir}/plat/.moved.$$/ ) >/dev/null 2>/dev/null;
mv ${rcsdir}/plat/${OLD_PLAT} ${rcsdir}/plat/.moved.$$/
fi
(cd ${rcsdir}/plat/ ; ln -s ${install_dir} ${OLD_PLAT}; )
fi
if test "x${PLATBASE}" != "x" -a "x${PLATBASE}" != "x${PLAT}" ; then
if test ${LINK_FLAG} ${rcsdir}/plat/${PLATBASE} ; then
rm ${rcsdir}/plat/${PLATBASE} ;
elif test -d ${rcsdir}/plat/${PLATBASE} ; then
( mkdir -p ${rcsdir}/plat/.moved.$$/ ) >/dev/null 2>/dev/null;
mv ${rcsdir}/plat/${PLATBASE} ${rcsdir}/plat/.moved.$$/
fi
(cd ${rcsdir}/plat/ ; ln -s ${install_dir} ${PLATBASE}; )
fi
)>/dev/null 2>/dev/null;
if test $# -lt 1 ; then
if test ! -f Makefile ; then
${rcsdir}/configure --prefix=${install_dir} || (echo "configure failed." >&2 ; exit 127 ) || exit 127
fi
make || (echo "make failed." >&2 ; exit 127 ) || exit 127
make install || (echo "make install failed." >&2 ; exit 127 ) || exit 127
elif test "x${1}" = "xconfig" ; then
${rcsdir}/configure --prefix=${install_dir} $2 $3 $4 $5 || (echo "configure failed." >&2 ; exit 127 ) || exit 127
elif test "x${1}" = "xmake" ; then
if test ! -f Makefile ; then
${rcsdir}/configure --prefix=${install_dir} || (echo "configure failed." >&2 ; exit 127 ) || exit 127
fi
make || (echo "make failed." >&2 ; exit 127 ) || exit 127
else
if test ! -f Makefile -a "xdistclean" != "x${1}" ; then
${rcsdir}/configure --prefix=${install_dir} || exit 127
fi
if test -f Makefile ; then
make $* || (echo "make $* failed." >&2 ; exit 127 ) || exit 127
fi
fi
echo "rcsdir=${rcsdir}" >&2
echo "install_dir=${install_dir}" >&2
echo "build_dir=${build_dir}" >&2
echo "PLAT=${PLAT}" >&2
exit 0
|
|
From: <wsh...@us...> - 2003-08-08 14:49:04
|
Update of /cvsroot/emc/rcslib/src/cms
In directory sc8-pr-cvs1:/tmp/cvs-serv5202
Added Files:
Tag: wps_multiplat_dev_branch
makeomac.sh nmlsizes.cc
Log Message:
.
--- NEW FILE: makeomac.sh ---
#! /bin/sh
set -x
#touch cms_xml_up.hh
#touch http_srv.hh
if [ "x${PLAT}" = "x" ] ; then
PLAT=`../../../rcslib/etc/platname`;
export PLAT;
fi
\rm -f *.xml
\rm -f *.xsd
\rm -f ../../../emc/src/emcnml/omac_test.log
\rm -f ../../../emc/src/emcnml/omac_test
\rm -f ../../../emc/src/emcnml/omac.xml
\rm -f ../../../emc/src/emcnml/omac.hh
\rm -f ../../../emc/src/emcnml/omac_n*
\rm -f /local/shackle/rcslib/plat/linux/lib/librcsd.a
killall -INT xsd2nmlh
killall -INT omac_test
killall -INT omac_svr
sleep 2
killall -KILL xsd2nmlh
killall -KILL omac_test
killall -KILL omac_svr
#export LOCAL_CFLAGS=-pg
#MAKE_CMDLINE_ADD="LOCAL_CFLAGS=-pg";
#MAKE_CMDLINE_ADD="DISABLE_DEFAULT_OPTIMIZE=1 LOCAL_CFLAGS=-O0"
make ${MAKE_CMDLINE_ADD} -C .. || exit 255
make ${MAKE_CMDLINE_ADD} -C ../java/diagapplet/CodeGen PLAT=java || exit 255
make ${MAKE_CMDLINE_ADD} xsd2nmlh || exit 255
make ${MAKE_CMDLINE_ADD} -C ../../../emc/src/emcnml omac_test || exit 255
../../../emc/plat/${PLAT}/bin/omac_test ~/modified_omac_sample.xml || exit 255
~/xsdvalid-21/xsdvalid -s ~/modified_omac_schema.xsd omac.xml || exit 255
~/xsdvalid-21/xsdvalid -s ~/modified_omac_schema.xsd regenerated_omac_sample.xml || exit 255
~/xsdvalid-21/xsdvalid -s omac_regenerated_schema.xsd omac.xml || exit 255
~/xsdvalid-21/xsdvalid -s omac_regenerated_schema.xsd regenerated_omac_sample.xml || exit 255
~/xsdvalid-21/xsdvalid -s omac_regenerated_schema.xsd ~/modified_omac_sample.xml || exit 255
make ${MAKE_CMDLINE_ADD} -C ../../../emc/src/emcnml omac_svr || exit 255
( set -x ; cd ../../../emc/src/emcnml; javac -classpath ../../../rcslib/plat/java/lib/rcs.jar:. *.java ;) || exit 255
( cd ../../../emc && nohup plat/${PLAT}/bin/omac_svr ) &
sleep 10
echo "GET /omac.xml" | ~/nc localhost 8090 >omac_svr.xml
~/xsdvalid-21/xsdvalid -s ~/modified_omac_schema.xsd omac_svr.xml || exit 255
exit 0
--- NEW FILE: nmlsizes.cc ---
/* This line prevents findsource from adding this file to the Makefile */
#define NOT_A_DEFAULT_RCSLIB_SOURCE 1
#include "rcs.hh"
#include "shmem.hh"
#include "tcpmem.hh"
#include "udpmem.hh"
#include "cms_up.hh"
#include "cms_xup.hh"
#include "cms_xml_up.hh"
#include <stdio.h>
int
main(int argc, const char **argv)
{
printf("sizeof(NMLmsg) \t= \t%d \t(0x%X %p)\n",
sizeof(NMLmsg),sizeof(NMLmsg),malloc(sizeof(NMLmsg)));
printf("sizeof(RCS_CMD_MSG) \t= \t%d \t(0x%X %p)\n",
sizeof(RCS_CMD_MSG),sizeof(RCS_CMD_MSG),malloc(sizeof(RCS_CMD_MSG)));
printf("sizeof(RCS_STAT_MSG) \t= \t%d \t(0x%X %p)\n",
sizeof(RCS_STAT_MSG),sizeof(RCS_STAT_MSG),malloc(sizeof(RCS_STAT_MSG)));
printf("sizeof(NML) \t= \t%d \t(0x%X %p)\n",
sizeof(NML),sizeof(NML),malloc(sizeof(NML)));
printf("sizeof(CMS) \t= \t%d \t(0x%X %p)\n",
sizeof(CMS),sizeof(CMS),malloc(sizeof(CMS)));
printf("sizeof(SHMEM) \t= \t%d \t(0x%X %p)\n",
sizeof(SHMEM),sizeof(SHMEM),malloc(sizeof(SHMEM)));
printf("sizeof(TCPMEM) \t= \t%d \t(0x%X %p)\n",
sizeof(TCPMEM),sizeof(TCPMEM),malloc(sizeof(TCPMEM)));
printf("sizeof(UDPMEM) \t= \t%d \t(0x%X %p)\n",
sizeof(UDPMEM),sizeof(UDPMEM),malloc(sizeof(UDPMEM)));
printf("sizeof(RCS_LINKED_LIST) \t= \t%d \t(0x%X %p)\n",
sizeof(RCS_LINKED_LIST),sizeof(RCS_LINKED_LIST),malloc(sizeof(RCS_LINKED_LIST)));
printf("sizeof(RCS_SHAREDMEM) \t= \t%d \t(0x%X %p)\n",
sizeof(RCS_SHAREDMEM),sizeof(RCS_SHAREDMEM),malloc(sizeof(RCS_SHAREDMEM)));
printf("sizeof(RCS_SEMAPHORE) \t= \t%d \t(0x%X %p)\n",
sizeof(RCS_SEMAPHORE),sizeof(RCS_SEMAPHORE),malloc(sizeof(RCS_SEMAPHORE)));
printf("sizeof(RCS_TIMER) \t= \t%d \t(0x%X %p)\n",
sizeof(RCS_TIMER),sizeof(RCS_TIMER),malloc(sizeof(RCS_TIMER)));
printf("sizeof(CMS_UPDATER) \t= \t%d \t(0x%X %p)\n",
sizeof(CMS_UPDATER),sizeof(CMS_UPDATER),malloc(sizeof(CMS_UPDATER)));
printf("sizeof(CMS_XML_UPDATER) \t= \t%d \t(0x%X %p)\n",
sizeof(CMS_XML_UPDATER),sizeof(CMS_XML_UPDATER),malloc(sizeof(CMS_XML_UPDATER)));
printf("sizeof(CMS_XDR_UPDATER) \t= \t%d \t(0x%X %p)\n",
sizeof(CMS_XDR_UPDATER),sizeof(CMS_XDR_UPDATER),malloc(sizeof(CMS_XDR_UPDATER)));
printf("sizeof(PM_CARTESIAN) \t= \t%d \t(0x%X %p)\n",
sizeof(PM_CARTESIAN),sizeof(PM_CARTESIAN),malloc(sizeof(PM_CARTESIAN)));
printf("sizeof(PM_QUATERNION) \t= \t%d \t(0x%X %p)\n",
sizeof(PM_QUATERNION),sizeof(PM_QUATERNION),malloc(sizeof(PM_QUATERNION)));
printf("sizeof(PM_HOMOGENEOUS) \t= \t%d \t(0x%X %p)\n",
sizeof(PM_HOMOGENEOUS),sizeof(PM_HOMOGENEOUS),malloc(sizeof(PM_HOMOGENEOUS)));
printf("sizeof(NML_MODULE) \t= \t%d \t(0x%X %p)\n",
sizeof(NML_MODULE),sizeof(NML_MODULE),malloc(sizeof(NML_MODULE)));
}
|
|
From: <wsh...@us...> - 2003-08-08 14:48:08
|
Update of /cvsroot/emc/rcslib/src/cms
In directory sc8-pr-cvs1:/tmp/cvs-serv5072
Added Files:
Tag: wps_multiplat_dev_branch
httpnml.cc httpnml.hh
Log Message:
.
--- NEW FILE: httpnml.cc ---
#include "httpnml.hh"
#include "tcp_opts.hh" /* SET_TCP_NODELAY */
#include "sokintrf.h" /* dl_closesocket(), dl_gethostbyname(), dl_sock*/
#include "rcs_prnt.hh"
#include "timer.hh"
#include "sendn.h"
#include "recvn.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
HttpXmlNml::HttpXmlNml( NML_FORMAT_PTR f_ptr, const char *url) : NML(f_ptr,0,0,0)
{
hostname=0;
hostname_len=0;
get_msg=0;
get_msg_len=0;
#ifndef VXWORKS
server_host_entry=0;
#endif
memset(&server_socket_address,0,sizeof(server_socket_address));
tcp_port_number=80;
socket_fd=-1;
buffer =0 ;
buffer_size =0;
#ifndef VXWORKS
server_host_entry = NULL;
#endif
if(strncmp(url,"http://",7))
{
rcs_print_error("HttpXmlNml bad URL=%s\n",url);
return;
}
hostname_len = strcspn(url+7,":/?");
if(hostname_len <= 0)
{
rcs_print_error("HttpXmlNml bad URL=%s\n",url);
return;
}
hostname = (char *) malloc(hostname_len + 1);
memcpy(hostname,url+7,hostname_len);
hostname[hostname_len] = 0;
if(*(url+7+hostname_len) == ':')
{
tcp_port_number = strtol(url+8+hostname_len,0,0);
}
char *pathstart = strchr(url+7,'/');
if(!pathstart)
{
rcs_print_error("HttpXmlNml bad URL=%s\n",url);
return;
}
get_msg = (char *) malloc(strlen(pathstart) + 10);
sprintf(get_msg,"GET %s",pathstart);
get_msg_len = strlen(get_msg);
/* Set up the socket address stucture. */
memset (&server_socket_address, 0, sizeof (server_socket_address));
server_socket_address.sin_family = AF_INET;
server_socket_address.sin_port = dl_htons (((u_short) tcp_port_number));
int hostname_was_address = 0;
char bufferhost_first_char = hostname[0];
if (bufferhost_first_char >= '0' && bufferhost_first_char <= '9')
{
server_socket_address.sin_addr.s_addr = dl_inet_addr (hostname);
if (server_socket_address.sin_addr.s_addr != 0 &&
((long) server_socket_address.sin_addr.s_addr) != -1)
{
hostname_was_address = 1;
}
}
if (!hostname_was_address)
{
if(!isalpha(hostname[0]))
{
rcs_print_error("Bad host name %s\n",hostname);
return;
}
/* Get the IP address of the server using it's hostname. */
#ifndef VXWORKS
dl_gethostbyname (hostname, &server_host_entry);
if (NULL == server_host_entry)
{
#if defined(_WINDOWS) && !defined(gnuwin32)
rcs_print_sys_error (WSAGETLASTERROR_ERROR_SOURCE,
"gethostbyname error");
#endif
rcs_print_error ("TCPMEM: Couldn't get host address for (%s).\n",
hostname);
return;
}
#ifdef __MSDOS__
server_socket_address.sin_addr.s_addr =
*((u_long *) server_host_entry->h_addr_list[0]);
#else
server_socket_address.sin_addr.s_addr =
*((int *) server_host_entry->h_addr_list[0]);
#endif
server_socket_address.sin_family = server_host_entry->h_addrtype;
#else
server_socket_address.sin_addr.s_addr = hostGetByName (hostname);
if (server_socket_address.sin_addr.s_addr == ERROR)
{
rcs_print_error ("TCPMEM: Couldn't get host address for (%s).\n",
hostname);
return;
}
#endif
}
buffer_size = 8192;
buffer = (char *) malloc(buffer_size);
rcs_print_debug (PRINT_CMS_CONFIG_INFO,
"Using server on %s with IP address %s and port %d.\n",
hostname,
dl_inet_ntoa (server_socket_address.sin_addr),
tcp_port_number);
}
NMLmsg *
HttpXmlNml::readMsg(void)
{
if(!buffer)
{
rcs_print_error("HttpXmlNML: not initialized.\n");
}
rcs_print_debug (PRINT_CMS_CONFIG_INFO, "Creating socket . . .\n");
socket_fd = dl_socket (AF_INET, SOCK_STREAM, 0);
if (socket_fd < 0)
{
rcs_print_error ("TCPMEM: Error from socket() (errno = %d:%s)\n",
errno, strerror (errno));
return(0);
}
rcs_print_debug (PRINT_CMS_CONFIG_INFO, "Setting socket options . . . \n");
if (set_tcp_socket_options (socket_fd) < 0)
{
return(0);
}
double timeout = 10.0;
struct timeval tm;
int socket_ret;
double start_time, current_time;
fd_set fds;
sockaddr_in cli_addr;
cli_addr.sin_family = AF_INET;
cli_addr.sin_addr.s_addr = dl_htonl (INADDR_ANY);
cli_addr.sin_port = dl_htons (0);
rcs_print_debug (PRINT_CMS_CONFIG_INFO, "Binding . . . \n");
if (dl_bind (socket_fd, (struct sockaddr *) &cli_addr, sizeof (cli_addr)) <
0)
{
#if defined(_Windows) && !defined(USE_PCNFS) && !defined(gnuwin32)
rcs_print_error ("TCPMEM: bind error %d\n", dl_WSAGetLastError ());
#else
rcs_print_error ("TCPMEM: bind error %d = %s\n", errno,
strerror (errno));
#endif
}
rcs_print_debug (PRINT_CMS_CONFIG_INFO, "Connecting . . .\n");
if (dl_connect (socket_fd, (struct sockaddr *) &server_socket_address,
sizeof (server_socket_address)) < 0)
{
if (
#ifdef gnuwin32
EINPROGRESS == errno
#else
#ifdef _Windows
WSAEWOULDBLOCK == dl_WSAGetLastError ()
#else
#ifdef MSDOS
EWOULDBLOCK == tk_geterrno (socket_fd)
#else
EINPROGRESS == errno
#endif
#endif
#endif
)
{
#ifdef _Windows
tm.tv_sec = 0;
tm.tv_usec = 0;
#else
tm.tv_sec = (long) timeout;
tm.tv_sec = (long) (fmod (timeout, 1.0) * 1e6);
#endif
FD_ZERO (&fds);
RCS_FD_SET (socket_fd, &fds);
start_time = etime ();
while (!(socket_ret = dl_select (socket_fd + 1,
(fd_set *) NULL,
&fds, (fd_set *) NULL, &tm)))
{
RCS_FD_SET (socket_fd, &fds);
esleep (0.001);
current_time = etime ();
double timeleft = start_time + timeout - current_time;
if (timeleft <= 0.0 && timeout >= 0.0)
{
rcs_print_error
("HTTPXMLNML: Timed out waiting for connection.\n");
return(0);
}
#ifdef _Windows
tm.tv_sec = 0;
tm.tv_usec = 0;
#else
tm.tv_sec = (long) timeleft;
tm.tv_sec = (long) (fmod (timeleft, 1.0) * 1e6);
#endif
}
#if defined(_Windows) && !defined(gnuwin32)
if (socket_ret == SOCKET_ERROR)
{
rcs_print_error ("select error: %d\n", dl_WSAGetLastError ());
rcs_print_error ("HTTPXMLNML: Couldn't connect.\n");
return(0);
}
#else
if (-1 == socket_ret)
{
rcs_print_error ("select error: %d -- %s\n", errno,
strerror (errno));
rcs_print_error ("HTTPXMLNML: Couldn't connect.\n");
return(0);
}
#endif
}
else
{
#if defined(_Windows) && !defined(gnuwin32)
rcs_print_error ("connect error: %d\n", dl_WSAGetLastError ());
#else
rcs_print_error ("connect error: %d -- %s\n", errno,
strerror (errno));
#endif
rcs_print_error
("HTTPXMLNML: Error trying to connect to TCP port %d of host %s(%s). sin_family=%d\n",
dl_ntohs (server_socket_address.sin_port), hostname,
dl_inet_ntoa (server_socket_address.sin_addr),
server_socket_address.sin_family);
return(0);
}
}
if(socket_fd < 0)
{
return 0;
}
if(sendn(socket_fd,get_msg,get_msg_len,0,-1) < 0)
{
return 0;
}
buffer[0]=0;
char *ptr = buffer;
int recvn_return;
do
{
recvn_return = recv(socket_fd,ptr,buffer_size - (ptr-buffer), 0);
if(recvn_return > 0)
{
ptr += recvn_return;
}
if(buffer_size - (ptr-buffer) < 4096)
{
buffer_size += 8192;
buffer = (char *) realloc(buffer,buffer_size);
}
}
while(recvn_return > 0) ;
if(xml2msg(buffer) > 0)
{
dl_closesocket(socket_fd);
socket_fd=0;
return get_address();
}
dl_closesocket(socket_fd);
socket_fd =0;
return 0;
}
--- NEW FILE: httpnml.hh ---
#ifndef HTTPNML_HH
#define HTTPNML_HH
#include "nml.hh"
#include "rcs_defs.hh" /* EXTERN_C_STD_HEADERS */
#include "cms.hh" /* class CMS */
#include "rem_msg.hh" // REMOTE_CMS_REQUEST_TYPE
#include "sokintrf.h" // hostent, sockaddr_in
class HttpXmlNml : protected NML
{
public:
HttpXmlNml(NML_FORMAT_PTR f_ptr, const char *url);
NMLmsg *readMsg();
protected:
char *hostname;
int hostname_len;
char *get_msg;
int get_msg_len;
#ifndef VXWORKS
struct hostent *server_host_entry;
#endif
struct sockaddr_in server_socket_address;
int tcp_port_number;
int socket_fd;
char *buffer;
size_t buffer_size;
};
#endif
//HTTPNML_HH
|
|
From: <wsh...@us...> - 2003-08-08 14:44:48
|
Update of /cvsroot/emc/rcslib/src/test
In directory sc8-pr-cvs1:/tmp/cvs-serv4527
Added Files:
Tag: wps_multiplat_dev_branch
nml_ex1.cc
Log Message:
.
--- NEW FILE: nml_ex1.cc ---
/*
* New C++ File starts here.
* This file should be named nml_ex1.cpp
*/
// Include all NML, CMS, and RCS classes and functions
#include "rcs.hh"
// Include command and status message definitions
#include "nml_ex1.hh"
// Forward Function Prototypes
void PmCartesian_update(CMS *cms, PmCartesian *x);
/*
* NML/CMS Format function : ex_format
* Automatically generated by RCS Java Diagnostics Tool.
* on Tue Feb 04 13:28:52 EST 2003
*/
int ex_format(NMLTYPE type, void *buffer, CMS *cms)
{
switch(type)
{
case EXAMPLE_MSG_TYPE:
((EXAMPLE_MSG *) buffer)->update(cms);
break;
default:
return(0);
}
return 1;
}
// NML Symbol Lookup Function
const char *ex_symbol_lookup(int type)
{
switch(type)
{
case EXAMPLE_MSG_TYPE:
return "EXAMPLE_MSG";
default:
return"UNKNOWN";
break;
}
return(NULL);
}
/*
* NML/CMS Update function for EXAMPLE_MSG
* Automatically generated by RCS Java Diagnostics Tool.
* on Tue Feb 04 13:28:52 EST 2003
*/
void EXAMPLE_MSG::update(CMS *cms)
{
cms->update(d);
cms->update(f);
cms->update(c);
cms->update(s);
cms->update(i);
cms->update(l);
cms->update(uc);
cms->update(us);
cms->update(ui);
cms->update(ul);
cms->update(da_length);
cms->update(da,da_length);
}
/*
* NML/CMS Update function for PmCartesian
* Automatically generated by RCS Java Diagnostics Tool.
* on Tue Feb 04 13:28:52 EST 2003
*/
void PmCartesian_update(CMS *cms,PmCartesian *x)
{
cms->update(x->x);
cms->update(x->y);
cms->update(x->z);
}
|
|
From: <wsh...@us...> - 2003-08-08 14:42:08
|
Update of /cvsroot/emc/rcslib/src/test
In directory sc8-pr-cvs1:/tmp/cvs-serv4087
Added Files:
Tag: wps_multiplat_dev_branch
jxmlout.java
Log Message:
.
--- NEW FILE: jxmlout.java ---
import rcs.nml.XMLFormatConverter;
import java.io.PrintStream;
import java.io.FileOutputStream;
public class jxmlout
{
public static void main(String args[])
{
try
{
rcs.nml.debugInfo.debug_on=true;
try
{
rcs.nml.debugInfo.debugPrintStream=new PrintStream(new FileOutputStream("java-jxmlout.log"));
}
catch(Exception e)
{
e.printStackTrace();
}
EXAMPLE_MESSAGE exmsg =null;
XMLFormatConverter xfc = new XMLFormatConverter();
cgtester_MsgDict dict = new cgtester_MsgDict();
xfc.SetMessageDictionary(dict);
exmsg = (EXAMPLE_MESSAGE) xfc.readXmlFromFile("xmlout.xml");
if(null != exmsg)
{
String out = xfc.convertMsgToXML(exmsg);
System.out.println(out);
}
}
catch(Exception e)
{
e.printStackTrace();
System.exit(127);
}
}
}
|
|
From: <wsh...@us...> - 2003-08-08 14:39:50
|
Update of /cvsroot/emc/rcslib/src/test
In directory sc8-pr-cvs1:/tmp/cvs-serv3747
Added Files:
Tag: wps_multiplat_dev_branch
testnml.sh testnml_internal.sh testxmlperf.sh
Log Message:
.
--- NEW FILE: testnml.sh ---
#!/bin/sh
killall -INT testnml_internal.sh 2>/dev/null >/dev/null
sleep 2
killall -KILL testnml_internal.sh 2>/dev/null >/dev/null
./testnml_internal.sh >/tmp/testnml.log 2>/tmp/testnml.err || (echo FAILED;exit 255) || exit 255
exit 0
--- NEW FILE: testnml_internal.sh ---
#! /bin/sh
set -x
echo "Test Date:"
date
echo "Current directory:"
pwd
echo "SET"
set
echo "PRINTENV"
printenv
if [ x${PLAT} = x ] ; then
PLAT=`../../etc/platname`
export PLAT
fi
make PLAT=${PLAT} -C .. || (echo FAILED;exit 255) || exit 255
make PLAT=${PLAT} || (echo FAILED;exit 255) || exit 255
make PLAT=${PLAT} nml_test_server nml_test_write \
nml_test_read nml_test_blocking_read || (echo FAILED;exit 255) || exit 255
builddir=../../plat/${PLAT}/bin
srcdir=../../
if test -f /tmp/test.nml ; then
${builddir}/nmlclean /tmp/test.nml
\rm -f /tmp/test.nml
fi
echo "______________________________________"
echo "Starting NML TESTS:"
killall -INT nml_test_blocking_read
killall -INT nml_test_read
killall -INT nml_test_write
killall -INT nml_test_server
sleep 2
killall -KILL nml_test_blocking_read
killall -KILL nml_test_read
killall -KILL nml_test_write
killall -KILL nml_test_server
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
kill -INT $procstokill
sleep 1
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
echo ."$procstokill".
kill -KILL $procstokill
sleep 1
fi
fi
echo "Testing nmlcfg . . ."
${builddir}/nmlcfg ${srcdir}/src/test/test.nml2 -o /tmp/test.nml
if test $? -ne 0 ; then
echo "nmlcfg test failed"
exit 255
fi
if test ! -f /tmp/test.nml ; then
echo "nmlcfg test failed"
exit 255
fi
echo "nmlcfg test Passed"
echo "Starting server . . ."
${builddir}/nml_test_server b1 b1s /tmp/test.nml &
sleep 5
echo "Testing local write . . . "
${builddir}/nml_test_write b1 lw /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Local write test failed."
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
kill -INT $procstokill
sleep 1
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
echo ."$procstokill".
kill -KILL $procstokill
sleep 1
fi
fi
exit 255
fi
echo "local write test passed."
echo "Testing local read . . . "
${builddir}/nml_test_read b1 lr /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Local read test failed."
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
kill -INT $procstokill
sleep 1
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
echo ."$procstokill".
kill -KILL $procstokill
sleep 1
fi
fi
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
exit 255
fi
echo "local read test passed."
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
kill -INT $procstokill
sleep 1
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
echo ."$procstokill".
kill -KILL $procstokill
sleep 1
fi
fi
echo "Starting server . . ."
${builddir}/nml_test_server b1 b1s /tmp/test.nml &
sleep 5
( sleep 5 ; ${builddir}/nml_test_write b1 lw /tmp/test.nml 8; \
${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 \
) &
echo "Testing local blocking read . . . "
${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
sleep 1
${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8
if test $? -ne 0 ; then
echo "Local blocking read test failed."
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
kill -INT $procstokill
sleep 1
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
echo ."$procstokill".
kill -KILL $procstokill
sleep 1
fi
fi
exit 255
fi
echo "local read blocking test passed."
echo "Testing remote write . . . "
${builddir}/nml_test_write b1 rw /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Remote write test failed."
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
kill -INT $procstokill
sleep 1
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
echo ."$procstokill".
kill -KILL $procstokill
sleep 1
fi
fi
exit 255
fi
echo "remote write test passed."
echo "Testing remote read . . . "
${builddir}/nml_test_read b1 rr /tmp/test.nml 7
if test $? -ne 0 ; then
echo "Remote write read failed."
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
kill -INT $procstokill
sleep 1
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
echo ."$procstokill".
kill -KILL $procstokill
sleep 1
fi
fi
exit 255
fi
echo "remote read test passed."
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
kill -INT $procstokill
sleep 1
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
echo ."$procstokill".
kill -KILL $procstokill
sleep 1
fi
fi
echo "Starting server . . ."
${builddir}/nml_test_server b1 b1s /tmp/test.nml &
sleep 5
( sleep 5 ; ${builddir}/nml_test_write b1 rw /tmp/test.nml 8 ; \
${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 ) &
echo "Testing remote blocking read . . . "
${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
${builddir}/nml_test_blocking_read b1 rr /tmp/test.nml 30 8 &
${builddir}/nml_test_blocking_read b1 rr /tmp/test.nml 30 8 &
sleep 1
${builddir}/nml_test_blocking_read b1 lr /tmp/test.nml 30 8 &
date
echo '$?=' $?
${builddir}/nml_test_blocking_read b1 rr /tmp/test.nml -1 8
echo '$?=' $?
if test $? -ne 0 ; then
date
echo "Remote blocking read test failed."
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
kill -INT $procstokill
sleep 1
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
echo ."$procstokill".
kill -KILL $procstokill
sleep 1
fi
fi
exit 255
fi
date
echo "remote read blocking test passed."
echo "Kill any nml test programs still running."
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
kill -INT $procstokill
sleep 1
procstokill=`ps -ae | grep nml_te | awk '{print $1}'`
if test x != "x${procstokill}" ; then
echo ."$procstokill".
kill -KILL $procstokill
sleep 1
fi
fi
${builddir}/nmlclean /tmp/test.nml
exit 0
--- NEW FILE: testxmlperf.sh ---
#! /bin/sh
set -x
if [ x${PLAT} = x ] ; then
PLAT=~/rcslib/etc/platname
export PLAT
fi
\rm -f *.log
\rm -f *.xml
\rm -f *.xml.~*~
RCS_DEBUG_FLAG=0
export RCS_DEBUG_FLAG
XMLOUT_LOG_FILE=xmloutperf.log
export XMLOUT_LOG_FILE
XMLSCHEMAOUT_LOG_FILE=xmlschemaoutperf.log
export XMLSCHEMAOUT_LOG_FILE
CGTESTSVR1_LOG_FILE=cgtestsvr1perf.log
export CGTESTSVR1_LOG_FILE
CGTESTSVR2_LOG_FILE=cgtestsvr2perf.log
export CGTESTSVR2_LOG_FILE
CGTESTREAD_LOG_FILE=cgtestreadperf.log
export CGTESTREAD_LOG_FILE
CGTESTWRITE_LOG_FILE=cgtestwriteperf.log
export CGTESTWRITE_LOG_FILE
#DEBUG_MEMORY=1
#export DEBUG_MEMORY
killall -INT cgtestsvr1
killall -INT cgtestsvr2
sleep 2
killall -KILL cgtestsvr1
killall -KILL cgtestsvr2
../../../rcslib/plat/${PLAT}/bin/cgtestsvr1 &
jobtokill=$!
../../../rcslib/plat/${PLAT}/bin/cgtestsvr2 &
jobtokill2=$!
sleep 5
../../../rcslib/plat/${PLAT}/bin/cgtestwrite && \
sleep 2 && \
../../../rcslib/plat/${PLAT}/bin/cgtestread
kill -INT $jobtokill
kill -INT $jobtokill2
sleep 1
kill -KILL $jobtokill
kill -KILL $jobtokill2
killall -INT cgtestsvr1
killall -INT cgtestsvr2
sleep 2
killall -KILL cgtestsvr1
killall -KILL cgtestsvr2
|
|
From: <wsh...@us...> - 2003-08-08 14:38:03
|
Update of /cvsroot/emc/rcslib/src/stg_clss
In directory sc8-pr-cvs1:/tmp/cvs-serv32012/src/stg_clss
Modified Files:
Tag: wps_multiplat_dev_branch
Makefile Makefile.lib
Log Message:
First commit on wps_multiplat_dev_branch
Index: Makefile
===================================================================
RCS file: /cvsroot/emc/rcslib/src/stg_clss/Makefile,v
retrieving revision 4.33
retrieving revision 4.33.2.1
diff -C2 -d -r4.33 -r4.33.2.1
*** Makefile 7 May 2003 19:35:29 -0000 4.33
--- Makefile 8 Aug 2003 14:21:14 -0000 4.33.2.1
***************
*** 12,16 ****
# Declare which files are to be released
! HEADERS = linklist.hh
SRCS = linklist.cc
--- 12,16 ----
# Declare which files are to be released
! HEADERS = $(STG_CLSS_HEADERS)
SRCS = linklist.cc
Index: Makefile.lib
===================================================================
RCS file: /cvsroot/emc/rcslib/src/stg_clss/Makefile.lib,v
retrieving revision 4.31
retrieving revision 4.31.2.1
diff -C2 -d -r4.31 -r4.31.2.1
*** Makefile.lib 27 Oct 2000 21:08:33 -0000 4.31
--- Makefile.lib 8 Aug 2003 14:21:14 -0000 4.31.2.1
***************
*** 1,2 ****
! LIBRCS_OBJS := $(LIBRCS_OBJS) \
linklist.o
--- 1,9 ----
!
! STG_CLSS_OBJS := \
linklist.o
+
+ LIBRCS_OBJS := $(LIBRCS_OBJS) \
+ $(STG_CLSS_OBJS)
+
+ STG_CLSS_HEADERS := \
+ linklist.hh
|
|
From: <wsh...@us...> - 2003-08-08 14:38:03
|
Update of /cvsroot/emc/rcslib/src/posemath
In directory sc8-pr-cvs1:/tmp/cvs-serv32012/src/posemath
Modified Files:
Tag: wps_multiplat_dev_branch
Makefile Makefile.lib
Log Message:
First commit on wps_multiplat_dev_branch
Index: Makefile
===================================================================
RCS file: /cvsroot/emc/rcslib/src/posemath/Makefile,v
retrieving revision 4.41
retrieving revision 4.41.2.1
diff -C2 -d -r4.41 -r4.41.2.1
*** Makefile 7 May 2003 19:35:29 -0000 4.41
--- Makefile 8 Aug 2003 14:21:14 -0000 4.41.2.1
***************
*** 5,8 ****
--- 5,12 ----
endif
+ LIBRCS_OBJS=
+ include Makefile.lib
+
+
# Makefile for compiling pose math library
***************
*** 28,36 ****
endif
ifdef BUILD_REALTIMEONLY
- HEADERS = \
- posemath.h \
- sincos.h
CSRCS = \
--- 32,39 ----
endif
+ HEADERS = $(POSEMATH_HEADERS)
+
ifdef BUILD_REALTIMEONLY
CSRCS = \
***************
*** 43,51 ****
else
-
- HEADERS = \
- mathprnt.h \
- posemath.h \
- sincos.h
--- 46,49 ----
Index: Makefile.lib
===================================================================
RCS file: /cvsroot/emc/rcslib/src/posemath/Makefile.lib,v
retrieving revision 4.31
retrieving revision 4.31.2.1
diff -C2 -d -r4.31 -r4.31.2.1
*** Makefile.lib 11 Jun 2001 17:55:57 -0000 4.31
--- Makefile.lib 8 Aug 2003 14:21:14 -0000 4.31.2.1
***************
*** 2,6 ****
ifneq ($(findstring vxworks, $(PLAT)), )
! LIBRCS_OBJS := $(LIBRCS_OBJS) \
_posemath.o \
_mathprnt.o \
--- 2,6 ----
ifneq ($(findstring vxworks, $(PLAT)), )
! POSEMATH_OBJS := \
_posemath.o \
_mathprnt.o \
***************
*** 14,18 ****
! LIBRCS_OBJS := $(LIBRCS_OBJS) \
_posemath.o \
sincos.o
--- 14,18 ----
! POSEMATH_OBJS := \
_posemath.o \
sincos.o
***************
*** 23,27 ****
! LIBRCS_OBJS := $(LIBRCS_OBJS) \
_posemath.o \
sincos.o
--- 23,27 ----
! POSEMATH_OBJS := \
_posemath.o \
sincos.o
***************
*** 29,33 ****
else
! LIBRCS_OBJS := $(LIBRCS_OBJS) \
_posemath.o \
_mathprnt.o \
--- 29,33 ----
else
! POSEMATH_OBJS := \
_posemath.o \
_mathprnt.o \
***************
*** 44,45 ****
--- 44,53 ----
+ LIBRCS_OBJS := $(LIBRCS_OBJS) \
+ $(POSEMATH_OBJS)
+
+
+ POSEMATH_HEADERS = \
+ mathprnt.h \
+ posemath.h \
+ sincos.h
|
|
From: <wsh...@us...> - 2003-08-08 14:37:39
|
Update of /cvsroot/emc/rcslib/src/java/diagapplet/CodeGen
In directory sc8-pr-cvs1:/tmp/cvs-serv3241
Added Files:
Tag: wps_multiplat_dev_branch
CodeGenCodeTextAreaInterface.java
Log Message:
.
--- NEW FILE: CodeGenCodeTextAreaInterface.java ---
package diagapplet.CodeGen;
public interface CodeGenCodeTextAreaInterface
{
public void append(java.lang.String str);
public void setText(java.lang.String str);
public String getText();
}
|
Update of /cvsroot/emc/rcslib/src/java/diagapplet/CodeGen
In directory sc8-pr-cvs1:/tmp/cvs-serv2724
Added Files:
Tag: wps_multiplat_dev_branch
CodeGenBellRingerInterface.java CodeGenCheckBoxInterface.java
CodeGenCmdLine.java CodeGenCmdLineJarInfo.txt
CodeGenCommon.java CodeGenCommonInterface.java CodeGenGui.java
CodeGenListInterface.java CodeGenListWrapper.java
CodeGenTextAreaInterface.java CodeGenTextAreaWrapper.java
CodeGenTextFieldInterface.java CodeGenTextFieldWrapper.java
Log Message:
.
--- NEW FILE: CodeGenBellRingerInterface.java ---
package diagapplet.CodeGen;
public interface CodeGenBellRingerInterface
{
public void RingBell();
}
--- NEW FILE: CodeGenCheckBoxInterface.java ---
package diagapplet.CodeGen;
public interface CodeGenCheckBoxInterface
{
public void setState(boolean state);
public boolean getState();
}
--- NEW FILE: CodeGenCmdLine.java ---
//******************************************************************************
// CodeGen.java: Applet
//
//******************************************************************************
package diagapplet.CodeGen;
import java.util.*;
import java.io.*;
import java.net.*;
import rcs.utils.URL_and_FileLoader;
import diagapplet.utils.URLLoadInfoPanelInterface;
import diagapplet.utils.FastListPanelInterface;
//==============================================================================
// Main Class for applet CodeGen
//
//==============================================================================
public class CodeGenCmdLine
{
public static String []orig_args=null;
public static boolean debug_on=false;
public static String includePath = "";
public static boolean print_prompt=true;
// STANDALONE APPLICATION SUPPORT
// The main() method acts as the applet's entry point when it is run
// as a standalone application. It is ignored if the applet is run from
// within an HTML page.
//--------------------------------------------------------------------------
public static void main(String args[])
{
for(int i = 0; i < args.length; i++)
{
if(args[i].startsWith("-I") && args[i].length() > 2)
{
URL_and_FileLoader.AddToSearchPath(args[i].substring(2));
includePath += args[i].substring(2)+";";
continue;
}
if(args[i].indexOf('=') < 0)
{
if(args[i].endsWith(".gen"))
{
args[i] = "script="+args[i];
}
else
{
args[i] = "HHFile="+args[i];
}
}
if(args[i].equals("debug_on=true"))
{
debug_on=true;
}
if(args[i].equals("noprompt"))
{
print_prompt = false;
}
}
if(debug_on)
{
System.out.println("cgc = new CodeGenCommon();");
}
CodeGenCommonInterface cgc= new CodeGenCommon();
cgc.set_update_with_name(true);
cgc.set_debug_on(debug_on);
cgc.set_ClassList( new diagapplet.utils.FakeFastListPanel());
cgc.append_includePath(includePath);
cgc.set_print_prompt(print_prompt);
orig_args = args;
if(debug_on)
{
System.out.println("cgc.GetParameters("+args+");");
}
cgc.GetParameters(args);
if(debug_on)
{
System.out.println("cgc.get_script_file() = "+cgc.get_script_file());
}
cgc.set_display_on(false);
if(cgc.get_script_file() == null)
{
if(debug_on)
{
System.out.println("cgc.set_script_file(cgc.createScriptFile("+args+"));");
}
cgc.set_script_file(cgc.createScriptFile(args));
if(debug_on)
{
System.out.println("cgc.get_script_file() = "+cgc.get_script_file());
}
}
if(debug_on)
{
System.out.println("cgc.RunScriptFile("+cgc.get_script_file()+");");
}
cgc.RunScriptFile(cgc.get_script_file());
}
}
--- NEW FILE: CodeGenCmdLineJarInfo.txt ---
Manifest-Version: 1.0
Main-Class: diagapplet.CodeGen.CodeGenCmdLine
Name: diagapplet/CodeGen
Specification-Title: "RCS CodeGenCmdLine"
Specification-Version: "1.0"
Specification-Vendor: "National Institute of Standards and Technology (Will Shackleford)"
Implementation-Title: "diagapplet.CodeGen"
Implementation-Version: "RCS_VERSION_STRING"
Implementation-Vendor: National Institute of Standards and Technology (Will Shackleford)"
Sealed: true
Name: diagapplet/utils
Specification-Title: "RCS-Diagnostics Utilities"
Specification-Version: "1.0"
Specification-Vendor: "National Institute of Standards and Technology (Will Shackleford)"
Implementation-Title: "diagapplet.utils"
Implementation-Version: "RCS_VERSION_STRING"
Implementation-Vendor: National Institute of Standards and Technology (Will Shackleford)"
Sealed: true
--- NEW FILE: CodeGenCommon.java ---
//******************************************************************************
// CodeGenCommon.java: Applet
//
//******************************************************************************
package diagapplet.CodeGen;
import java.util.*;
import java.io.*;
import java.net.*;
import rcs.utils.URL_and_FileLoader;
import diagapplet.utils.FastListPanelInterface;
import diagapplet.utils.URLLoadInfoPanelInterface;
import diagapplet.utils.CountButtonInterface;
//==============================================================================
// Main Class for applet CodeGen
//
[...8394 lines suppressed...]
return preserve_modules_hashtable;
}
public void set_preserve_modules_hashtable(boolean b)
{
preserve_modules_hashtable=b;
}
public boolean get_interrupt_loading()
{
return interrupt_loading;
}
public void set_interrupt_loading(boolean b)
{
interrupt_loading=b;
}
}
--- NEW FILE: CodeGenCommonInterface.java ---
//******************************************************************************
// CodeGen.java: Applet
//
//******************************************************************************
package diagapplet.CodeGen;
//==============================================================================
// Main Class for applet CodeGen
//
//==============================================================================
public interface CodeGenCommonInterface
{
public boolean get_interrupt_loading();
public void set_interrupt_loading(boolean b);
public boolean get_preserve_modules_hashtable();
public void set_preserve_modules_hashtable(boolean b);
public boolean get_update_with_name();
public void set_update_with_name(boolean b);
public diagapplet.utils.CountButtonInterface get_m_hierarchyFileLoadButton();
public void set_m_hierarchyFileLoadButton(diagapplet.utils.CountButtonInterface cbi);
public String get_lastIncludePath();
public void set_lastIncludePath(String s);
public boolean get_inside_diagapplet();
public void set_inside_diagapplet(boolean b);
public diagapplet.utils.URLLoadInfoPanelInterface get_m_loadingPanel();
public void set_m_loadingPanel(diagapplet.utils.URLLoadInfoPanelInterface lp);
public java.util.Hashtable get_m_modulesHashTable();
public void set_m_modulesHashTable(java.util.Hashtable ht);
public java.util.Hashtable get_serversHashtable();
public void set_serversHashtable(java.util.Hashtable ht);
public boolean get_running();
public void set_running(boolean b);
public boolean get_run_needed();
public void set_run_needed(boolean b);
public boolean get_is_loading_hierarchy();
public void set_is_loading_hierarchy(boolean b);
public boolean get_generating_code();
public void set_generating_code(boolean b);
public boolean get_running_script();
public void set_running_script(boolean b);
public boolean get_force_reload_file();
public void set_force_reload_file(boolean b);
public boolean get_first_java_class();
public void set_first_java_class(boolean b);
public boolean get_first_cpp_function();
public void set_first_cpp_function(boolean b);
public boolean get_RunIndependantly();
public void set_RunIndependantly(boolean b);
public boolean get_generate_java_classes_needed();
public void set_generate_java_classes_needed(boolean b);
public boolean get_generate_java_dictionary_needed();
public void set_generate_java_dictionary_needed(boolean b);
public boolean get_generate_cpp_update_functions_needed();
public void set_generate_cpp_update_functions_needed(boolean b);
public boolean get_generate_cpp_format_function_needed();
public void set_generate_cpp_format_function_needed(boolean b);
public boolean get_generate_cpp_constructors_needed();
public void set_generate_cpp_constructors_needed(boolean b);
public boolean get_reload_hierarchy_needed();
public void set_reload_hierarchy_needed(boolean b);
public CodeGenTextFieldInterface get_includePathField();
public void set_includePathField(CodeGenTextFieldInterface cgtfi);
public CodeGenTextFieldInterface get_configFileTextField();
public void set_configFileTextField(CodeGenTextFieldInterface cgtfi);
public CodeGenBellRingerInterface get_bell_ringer();
public void set_bell_ringer( CodeGenBellRingerInterface br);
public CodeGenTextAreaInterface get_codeTextArea();
public void set_codeTextArea(CodeGenTextAreaInterface cta);
public String get_m_hierarchyFile();
public void set_m_hierarchyFile(String str);
public String get_m_ConfigFile();
public void set_m_ConfigFile(String str);
public String get_cppFileName();
public void set_cppFileName(String str);
public String get_javaFileName();
public void set_javaFileName(String str);
public String get_script_file();
public void set_script_file(String scrf);
public boolean get_script_file_ran();
public void set_script_file_ran(boolean b);
public boolean get_display_on();
public void set_display_on(boolean dispon);
public String get_includePath();
public void append_includePath(String str);
public void set_includePath(String str);
public boolean get_debug_on();
public void set_debug_on(boolean dbg);
public boolean get_print_prompt();
public void set_print_prompt(boolean pp);
public void setVisible(boolean visible);
public diagapplet.utils.FastListPanelInterface get_ClassList();
public void set_ClassList(diagapplet.utils.FastListPanelInterface flp);
// PARAMETER SUPPORT:
// Parameters allow an HTML author to pass information to the applet;
// the HTML author specifies them using the <PARAM> tag within the <APPLET>
// tag. The following variables are used to store the values of the
// parameters.
//--------------------------------------------------------------------------
// Parameter names. To change a name of a parameter, you need only make
// a single change. Simply modify the value of the parameter string below.
//--------------------------------------------------------------------------
public static final String PARAM_HierarchyFile = "HierarchyFile";
public static final String PARAM_ConfigFile = "ConfigFile";
public static final String PARAM_HeaderFile = "HeaderFile";
public static final String PARAM_HFile = "HFile";
public static final String PARAM_HHFile = "HHFile";
public static final String PARAM_ScriptFile = "script";
public static final String PARAM_DebugOn = "debug_on";
public static final String PARAM_UpdateWithName = "update_with_name";
public static final String PARAM_DlaLengthInit = "dla_length_init";
public static final String PARAM_DisplayOn = "display_on";
public static final String PARAM_UseDefaultTypes = "UseDefaultTypes";
public String GetParameter(String strName, String args[]);
public boolean GetParametersFirstTime = true;
public void GetParameters(String args[]);
public String replace_white_space(String in);
static public String orig_args[]=null;
public String createScriptFile(String args[]);
public boolean CheckForCppEnum(String cpp_type);
public boolean CheckForCppClass(String cpp_type);
public boolean CheckForCppPosemathClass(String cpp_type);
public String GetEnumTypeName(String vardef);
public boolean VarIsUnsigned(String vardef);
public String GetCppVarDef( String var, StructureTypeInfo type_info);
public String ConvertCppTypeToJavaType(String cpp_type);
public boolean CheckForJavaStatic(String java_type);
public String last_java_classname=null;
public boolean CheckForJavaClass(String java_type);
public static final String ndla_string = "NML_DYNAMIC_LENGTH_ARRAY";
public static final String ndla_len_string = "length_for_nml_dynamic_length_array";
public static final String unbounded_string = "NML_UNBOUNDED_LENGTH_ARRAY";
public void CreateJavaDefinition(StructureTypeInfo type_info);
public void CreateJavaUpdateFunction(StructureTypeInfo type_info);
public void CreateCppUpdateFunction(StructureTypeInfo type_info);
public void PrintInfo(String options);
public void PrintInfo(StructureTypeInfo type_info, String var_prefix, int varnum, int offset);
public void CreateCppInitializer(StructureTypeInfo type_info);
public void CreateCppConstructor(StructureTypeInfo type_info);
public void GenerateJavaClass(String class_name);
public void GenerateJavaClasses();
public boolean IsNonUpdatebleClass(StructureTypeInfo type_info);
public void GenerateCppUpdateFunction(String class_name);
public void WriteOutput(String str);
public void GenerateCppInitializer(String class_name);
public void GenerateCppConstructor(String class_name);
public void GenerateCppUpdateFunctions();
public void GenerateCppConstructors();
public String find_common_root(String strs[]);
public boolean IsNMLMsg(String classname);
public void GenerateCppStartOfFile();
public String []RemoveDuplicates(String list[]);
public void GenerateCppPrototypesHeader();
public void GenerateCppFormatFunction();
public void SetOutputFile(String str) throws Exception;
public String get_base_name(String str);
public String RemoveStartingEndingSpace(String str);
public boolean IsInteger(String str);
public boolean IsDouble(String str);
public void GenerateJavaMessageDict();
public void ClearAll();
public void AddAlphabatizedItem(diagapplet.utils.FastListPanelInterface lst, String item, boolean select_it);
public boolean is_generic(String str);
public void SelectByFromFile(String filename);
public void InitializeClassList() throws Exception;
public void ResetGenericClasses();
// The init() method is called by the AWT when an applet is first loaded or
// reloaded. Override this method to perform whatever initialization your
// applet needs, such as initializing data structures, loading images or
// fonts, creating frame windows, setting the layout manager, or adding UI
// components.
//--------------------------------------------------------------------------
public void RingBell();
public void init();
public void ParseOptionsInfo();
public void LoadHierarchy() throws Exception;
public String remove_leading_whitespace(String str);
public void MakeListGeneric(diagapplet.utils.FastListPanelInterface lst);
public void RunScriptFile(String new_script_file);
public void RunScriptFile();
}
--- NEW FILE: CodeGenGui.java ---
//******************************************************************************
// CodeGen.java: Applet
//
//******************************************************************************
package diagapplet.CodeGen;
import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;
import java.net.*;
import diagapplet.utils.*;
import rcs.utils.URL_and_FileLoader;
//==============================================================================
[...8564 lines suppressed...]
codegen_cycles++;
}
synchronized(this)
{
UpdateDisplay();
}
Thread.sleep(500);
}
catch (InterruptedException e)
{
// TODO: Place exception-handling code here in case an
// InterruptedException is thrown by Thread.sleep(),
// meaning that another thread has interrupted this one
e.printStackTrace();
stop();
}
}
running = false;
}
}
--- NEW FILE: CodeGenListInterface.java ---
package diagapplet.CodeGen;
public interface CodeGenListInterface
{
public void add(java.lang.String str);
public int getItemCount();
public void select(int i);
}
--- NEW FILE: CodeGenListWrapper.java ---
package diagapplet.CodeGen;
public class CodeGenListWrapper extends java.awt.List implements diagapplet.CodeGen.CodeGenListInterface
{
}
--- NEW FILE: CodeGenTextAreaInterface.java ---
package diagapplet.CodeGen;
public interface CodeGenTextAreaInterface
{
public void append(java.lang.String str);
public void setText(java.lang.String str);
public String getText();
}
--- NEW FILE: CodeGenTextAreaWrapper.java ---
package diagapplet.CodeGen;
public class CodeGenTextAreaWrapper extends java.awt.TextArea implements CodeGenTextAreaInterface
{
public CodeGenTextAreaWrapper(int rows, int collumns)
{
super(rows,collumns);
}
}
--- NEW FILE: CodeGenTextFieldInterface.java ---
package diagapplet.CodeGen;
public interface CodeGenTextFieldInterface
{
public void setText(java.lang.String str);
public String getText();
public void repaint();
}
--- NEW FILE: CodeGenTextFieldWrapper.java ---
package diagapplet.CodeGen;
import java.awt.*;
public class CodeGenTextFieldWrapper extends java.awt.TextField implements CodeGenTextFieldInterface
{
CodeGenTextFieldWrapper(String s)
{
super(s);
}
}
|
Update of /cvsroot/emc/rcslib/src/java/diagapplet/utils
In directory sc8-pr-cvs1:/tmp/cvs-serv2411
Added Files:
Tag: wps_multiplat_dev_branch
CountButtonInterface.java FakeFastListPanel.java
FastListPanelInterface.java FastListPanelItem.java
URLLoadInfoPanelInterface.java
Log Message:
.
--- NEW FILE: CountButtonInterface.java ---
package diagapplet.utils;
public interface CountButtonInterface
{
public int get_count();
public void set_count(int i);
public void setLabel(String str);
}
--- NEW FILE: FakeFastListPanel.java ---
package diagapplet.utils;
import java.util.*;
public class FakeFastListPanel implements FastListPanelInterface
{
Vector items = new Vector();
int last_line_selected = -1;
Vector selected_indexes = null;
Vector openStructures = null;
boolean newOpenStructure = true;
int lines_visible;
int start_line = 0;
int selected_line;
int count = 0;
static public boolean debug_on = false;
static public final boolean display_on = true;
boolean multipleSelections = true;
int maxlinelength;
boolean repaint_needed=false;
FastListPanelItem flpItem = null;
private void private_init()
{
start_line = 0;
selected_line = -1;
if(multipleSelections)
{
selected_indexes = new Vector();
}
}
public FakeFastListPanel()
{
multipleSelections = true;
private_init();
}
public FakeFastListPanel(int rows, int cols, boolean set_multipleSelections, Object p)
{
multipleSelections = set_multipleSelections;
private_init();
}
public void add(String s)
{
if(debug_on)
{
System.out.println("FastListPanel.add("+s+") ");
System.out.println("\t items="+items);
if(null != items)
{
System.out.println("\t items.size() = "+items.size());
}
System.out.println("\t selected_indexes ="+selected_indexes);
if(null != selected_indexes)
{
System.out.println("\t selected_indexes.size() = "+selected_indexes.size());
}
}
if(null != s)
{
flpItem = new FastListPanelItem();
flpItem.s = s;
flpItem.var_number = -1;
items.addElement(flpItem);
if(s.length() > maxlinelength)
{
maxlinelength = s.length();
}
repaint_needed = true;
}
}
public void add(String s, int index)
{
add(s,index,-1);
}
public void add(String s, int index, int var_number)
{
try
{
if(false)
{
System.out.println("FastListPanel.add("+s+", "+index+", "+var_number+") ");
System.out.println("\t items="+items);
if(null != items)
{
System.out.println("\t items.size() = "+items.size());
}
System.out.println("\t selected_indexes ="+selected_indexes);
if(null != selected_indexes)
{
System.out.println("\t selected_indexes.size() = "+selected_indexes.size());
}
}
}
catch(Exception e)
{
e.printStackTrace();
}
try
{
if(null != s)
{
if(index >= 0 && index < items.size())
{
flpItem = new FastListPanelItem();
flpItem.s = s;
flpItem.var_number = var_number;
items.insertElementAt(flpItem,index);
for(int i = 0; i < selected_indexes.size(); i++)
{
int old_index = ((Integer) selected_indexes.elementAt(i)).intValue();
if(old_index >= index)
{
selected_indexes.setElementAt(new Integer(old_index+1),i);
}
}
}
else
{
flpItem = new FastListPanelItem();
flpItem.s = s;
flpItem.var_number = var_number;
items.addElement(flpItem);
if(s.length() > maxlinelength)
{
maxlinelength = s.length();
}
}
repaint_needed = true;
}
}
catch(Exception e)
{
e.printStackTrace();
}
}
public void replaceItem(String s, int index)
{
if(null != s)
{
flpItem = new FastListPanelItem();
flpItem.s = s;
flpItem.var_number = -1;
items.setElementAt(flpItem,index);
if(s.length() > maxlinelength)
{
maxlinelength = s.length();
}
repaint_needed = true;
}
}
public void replaceItem(String s, int index, int var_number)
{
if(null != s)
{
flpItem = new FastListPanelItem();
flpItem.s = s;
flpItem.var_number = var_number;
items.setElementAt(flpItem,index);
if(s.length() > maxlinelength)
{
maxlinelength = s.length();
}
repaint_needed = true;
}
}
public void removeAll()
{
clear();
}
public void clear()
{
items.removeAllElements();
if(null != selected_indexes)
{
selected_indexes.removeAllElements();
}
maxlinelength = 10;
repaint_needed = true;
}
public void select(int index)
{
try
{
last_line_selected = index;
if(!multipleSelections)
{
if(null != items && debug_on)
{
System.out.println("FastListPanel.select("+index+"): items.size() ="+items.size());
}
selected_line = index;
if(selected_line < start_line || selected_line - start_line > lines_visible)
{
start_line = selected_line - (selected_line%lines_visible);
}
String structName = getSelectedItem();
if(null != structName)
{
if(structName.startsWith("[+] "))
{
//AddOpenStructure(structName.substring(4));
newOpenStructure = true;
}
else if(structName.startsWith("[-] "))
{
//RemoveOpenStructure(structName.substring(4));
newOpenStructure = true;
}
}
}
else
{
selected_indexes.addElement(new Integer(index));
}
count++;
repaint_needed = true;
}
catch(Exception e)
{
e.printStackTrace();
}
}
public void deselect(int index)
{
try
{
if(!multipleSelections)
{
if(selected_line == index)
{
selected_line = -1;
}
}
else
{
for(int i = 0; i < selected_indexes.size(); i++)
{
int s = ((Integer) selected_indexes.elementAt(i)).intValue();
if(s == index)
{
selected_indexes.removeElementAt(i);
}
}
}
count++;
}
catch(Exception e)
{
e.printStackTrace();
}
}
public boolean isSelected(int index)
{
try
{
if(!multipleSelections)
{
return index >= 0 && index == selected_line;
}
else
{
for(int i = 0; i < selected_indexes.size(); i++)
{
int s = ((Integer) selected_indexes.elementAt(i)).intValue();
if(s == index)
{
return true;
}
}
}
}
catch(Exception e)
{
e.printStackTrace();
}
return false;
}
public int getSelectedIndex()
{
if(multipleSelections)
{
return -1;
}
return selected_line;
}
public String getSelectedItem()
{
if(multipleSelections)
{
return null;
}
try
{
if(selected_line < 0 || selected_line >= items.size())
{
System.out.println("Invalid selected_line = "+selected_line);
return null;
}
flpItem = (FastListPanelItem) items.elementAt(selected_line);
if(null != flpItem && debug_on)
{
if(null == flpItem.s)
{
System.out.println("selected_line = "+selected_line);
}
else
{
System.out.println("selected item = "+flpItem.s);
}
}
}
catch(Exception e)
{
e.printStackTrace();
}
return flpItem.s;
}
public int getSelectedVarNumber()
{
if(multipleSelections)
{
return -1;
}
try
{
if(selected_line < 0 || selected_line >= items.size())
{
System.out.println("Invalid selected_line = "+selected_line);
return -1;
}
flpItem = (FastListPanelItem) items.elementAt(selected_line);
if(null != flpItem && debug_on)
{
if(null == flpItem.s)
{
System.out.println("selected_line = "+selected_line);
}
else
{
System.out.println("selected item = "+flpItem.s);
}
}
}
catch(Exception e)
{
e.printStackTrace();
}
if(debug_on)
{
System.out.println("Selected Var Number = "+flpItem.var_number);
}
return flpItem.var_number;
}
public int []getSelectedIndexes()
{
if(!multipleSelections)
{
return null;
}
if(null == selected_indexes)
{
return null;
}
try
{
int indexes[] = new int[selected_indexes.size()];
for(int i = 0; i < selected_indexes.size(); i++)
{
indexes[i] = ((Integer) selected_indexes.elementAt(i)).intValue();
}
return indexes;
}
catch(Exception e)
{
e.printStackTrace();
}
return null;
}
public String[] getSelectedItems()
{
if(!multipleSelections)
{
return null;
}
if(null == selected_indexes)
{
return null;
}
try
{
String selected_items[] = new String[selected_indexes.size()];
for(int i = 0; i < selected_indexes.size(); i++)
{
selected_items[i] = (String) ((FastListPanelItem) items.elementAt(((Integer) selected_indexes.elementAt(i)).intValue())).s;
}
return selected_items;
}
catch(Exception e)
{
e.printStackTrace();
}
return null;
}
public Object[] getSelectedObjects()
{
return getSelectedItems();
}
public String getItem(int index)
{
String str = null;
try
{
if(index < 0)
{
return null;
}
flpItem = (FastListPanelItem) items.elementAt(index);
if(null != flpItem)
{
str = (String) flpItem.s;
}
}
catch(Exception e)
{
e.printStackTrace();
}
return str;
}
public int getVarNumber(int index)
{
int var_num = 0;
try
{
if(index < 0)
{
return -1;
}
var_num = ((FastListPanelItem) items.elementAt(index)).var_number;
}
catch(Exception e)
{
e.printStackTrace();
}
return var_num;
}
public int countItems()
{
return items.size();
}
public int getItemCount()
{
return items.size();
}
}
--- NEW FILE: FastListPanelInterface.java ---
package diagapplet.utils;
import java.util.*;
public interface FastListPanelInterface
{
Vector items = new Vector();
int last_line_selected = -1;
Vector selected_indexes = null;
Vector openStructures = null;
boolean newOpenStructure = true;
int lines_visible=0;
int start_line = 0;
int selected_line=0;
int count = 0;
static public boolean debug_on = false;
static public final boolean display_on = true;
boolean multipleSelections = false;
int maxlinelength=0;
boolean repaint_needed=false;
FastListPanelItem flpItem = null;
public void add(String s);
public void add(String s, int index);
public void add(String s, int index, int var_number);
public void replaceItem(String s, int index);
public void replaceItem(String s, int index, int var_number);
public void removeAll();
public void clear();
public void select(int index);
public void deselect(int index);
public boolean isSelected(int index);
public int getSelectedIndex();
public String getSelectedItem();
public int getSelectedVarNumber();
public int []getSelectedIndexes();
public String[] getSelectedItems();
public Object[] getSelectedObjects();
public String getItem(int index);
public int getVarNumber(int index);
public int countItems();
public int getItemCount();
}
--- NEW FILE: FastListPanelItem.java ---
package diagapplet.utils;
public class FastListPanelItem
{
public String s;
public int var_number;
}
--- NEW FILE: URLLoadInfoPanelInterface.java ---
package diagapplet.utils;
public interface URLLoadInfoPanelInterface
{
public void set_bytes_read(int _bytes_read);
public int get_bytes_read();
public void set_content_length(int _content_length);
public int get_content_length();
public void set_URLname(String _URLName);
public String get_URLname();
public void updateDisplay();
public void force_repaint(int i);
}
|
|
From: <wsh...@us...> - 2003-08-08 14:30:48
|
Update of /cvsroot/emc/rcslib/src/java/rcs/nml
In directory sc8-pr-cvs1:/tmp/cvs-serv2189
Added Files:
Tag: wps_multiplat_dev_branch
CMS_DATE.java CMS_TIME.java
Log Message:
.
--- NEW FILE: CMS_DATE.java ---
package rcs.nml;
import rcs.nml.NMLFormatConverter;
import rcs.nml.NMLMessageDictionary;
import java.util.StringTokenizer;
public class CMS_DATE
{
public long years=1971;
public long months=1;
public long days=16;
public CMS_DATE()
{
}
public CMS_DATE(String str)
{
setWithString(str);
}
public void setWithString(String str)
{
try
{
if(str == null)
{
return;
}
StringTokenizer st = new StringTokenizer(str,"-");
if(st == null)
{
return;
}
if(!st.hasMoreTokens())
{
return;
}
String tok = st.nextToken();
years = Long.parseLong(tok);
if(!st.hasMoreTokens())
{
return;
}
tok = st.nextToken();
months = Long.parseLong(tok);
if(!st.hasMoreTokens())
{
return;
}
tok = st.nextToken();
days = Long.parseLong(tok);
}
catch(Exception e)
{
e.printStackTrace();
}
}
public void update(NMLFormatConverter nml_fc)
{
nml_fc.update_CMS_DATE(this);
}
public void update_for_non_xml(NMLFormatConverter nml_fc)
{
nml_fc.beginClass("CMS_DATE",null);
years = nml_fc.update_with_name("years",years);
months = nml_fc.update_with_name("months",months);
days = nml_fc.update_with_name("days",days);
nml_fc.endClass("CMS_DATE",null);
}
public String toString()
{
String ystr="";
ystr = ""+years;
String mstr = ""+months;
if(months < 10)
{
mstr="0"+mstr;
}
String daystr = ""+days;
if(days < 10)
{
daystr = "0"+daystr;
}
return ""+ystr+"-"+mstr+"-"+daystr;
}
}
--- NEW FILE: CMS_TIME.java ---
package rcs.nml;
import rcs.nml.NMLFormatConverter;
import rcs.nml.NMLMessageDictionary;
import java.util.StringTokenizer;
public class CMS_TIME
{
public long hours=1;
public long minutes=0;
public double seconds=0;
int timezoneoffsethours=0;
public CMS_TIME()
{
}
public CMS_TIME(String str)
{
setWithString(str);
}
public void setWithString(String str)
{
try
{
if(null == str)
{
return;
}
StringTokenizer st = new StringTokenizer(str,":");
if(st == null)
{
return;
}
if(!st.hasMoreTokens())
{
return;
}
String tok = st.nextToken();
hours = Long.parseLong(tok);
if(!st.hasMoreTokens())
{
return;
}
tok = st.nextToken();
minutes = Long.parseLong(tok);
if(!st.hasMoreTokens())
{
return;
}
tok = st.nextToken();
seconds = Double.parseDouble(tok);
}
catch(Exception e)
{
e.printStackTrace();
}
}
public void update(NMLFormatConverter nml_fc)
{
nml_fc.update_CMS_TIME(this);
}
public void update_for_non_xml(NMLFormatConverter nml_fc)
{
nml_fc.beginClass("CMS_TIME",null);
hours = nml_fc.update_with_name("hours",hours);
minutes = nml_fc.update_with_name("minutes",minutes);
seconds = nml_fc.update_with_name("seconds",seconds);
timezoneoffsethours = nml_fc.update_with_name("timezoneoffsethours",timezoneoffsethours);
nml_fc.endClass("CMS_TIME",null);
}
public String toString()
{
String hstr = ""+hours;
if(hours < 10)
{
hstr = "0"+hstr;
}
String mstr = ""+minutes;
if(minutes < 10)
{
mstr = "0"+mstr;
}
String sstr = ""+seconds;
if(seconds < 10)
{
sstr = "0"+sstr;
}
if(sstr.endsWith(".0"))
{
sstr = sstr.substring(0,sstr.length()-2);
}
return ""+hstr+":"+mstr+":"+sstr;
}
}
|